#ifndef FTPSETTINGPLUGIN_H
#define FTPSETTINGPLUGIN_H

#include "../HeaderFile/mylineedit.h" // 라인에디트 클릭시 키패드가 나타나도록 수정한 라인에디트
#include "../HeaderFile/ConsDefine.h"
#include "../HeaderFile/wftpinterface.h"
#include "../HeaderFile/ReMakeInstance.h"
#include "DirDialog.h"

class MyLineEdit;
class DirDialog;
class NewPushButton;

class test;
class FTPSettingPlugin : public QObject, public FTPSettingInterface
{
	Q_OBJECT
	Q_INTERFACES(FTPSettingInterface)

	public :
		int FTPSettingLayoutValue;
		int FTPSetButtonLayoutValue;

		//Layout Return Function
        void FTPSettingLayoutSender(QStackedLayout *WidgetLayout);
        void FTPSettingButtonLayoutSender(QStackedLayout *ButtonLayout);
		//Widget Display
		int FTPSettingButton(QVBoxLayout *LayoutSender, int value);
		void FTPServerConnect(QStackedLayout *layout);
		//Button Widget
		int WServerButton(QStackedLayout *Buttonlayout, int value);

	public slots:
		void FTPSettingPage();
		void CheckBoxAnonymity();
		void AutoConnectFunc();
		void DirSearch();
		void DirDelect();
		void itemValue(QTreeWidgetItem *);
		void changedSpinBox(int);
		//Move to Widget()
		void WFTPLinMain();
        void WFTPSetMain();
		void SetConnectWrite();
		
	private :

		QStackedLayout *ReSetLayout;
        QStackedLayout *SetButtonLayout;

		//FTPSettingButton()
		NewPushButton *FTPSetting;

		//FTPServerConnect()
        QWidget *FTPServerWidget;
        QVBoxLayout *FTPServerLayout;
        QLabel *FTPServerLabel;
        QGroupBox *SetAccount;
        QGridLayout *AccountGridLay;
        QCheckBox *SAnonymity;
        QCheckBox *AutoConnect;
		QLabel *ID;
        //QLineEdit *IDEdit;
        MyLineEdit *IDEdit;
		QLabel *Password;
		//QLineEdit *PWEdit;
		MyLineEdit *PWEdit;
        QGroupBox *DirectoryBox;
        QGridLayout *DirGridLay;
		QSpinBox *applyConnecter;
		QTreeWidget *DirSearchView;
//  		QTableWidget *DirSearchView;
  		QPushButton *DirAdd;
        QPushButton *Dirmi;
		int Connecter;

		//WServerButton()
        QWidget *WSerButtonWidget;
	    QHBoxLayout *WSerHBoxLayout;
	    QPushButton *WSerMain;
	    QPushButton *WSerConnectButton;
	    QPushButton *WSerCancelButton;
	
		QTreeWidgetItem *item;
		int TreeIndex;
//		QTableWidgetItem *item;
//		QTableWidgetItem *item2;

};
#endif
