/*
   @class NumPad
   @date 2009/09/02
   @author 안병기(sixthamn23@naver.com)
   @breif 아이피 주소 입력,  ftp 접속을 등에 사용하기 위한 숫자,영어 키보드.           
*/

#ifndef NUMPAD_H
#define NUMPAD_H

#ifndef QT_NO_SCREEN_KEYBOARD

#include <QDialog>
#include <QtGui>
#include <QPixmap>

class NumPad : public QDialog
{
    Q_OBJECT
    
    public :
        NumPad(QWidget* parent = 0);

	private :
		  void paintEvent(QPaintEvent*);
  		  void mousePressEvent(QMouseEvent* e);
		  void mouseReleaseEvent(QMouseEvent*);

	signals:
		void sigSelectKey(const QString&);


    private:
    QRect m_numKey[5][3];
    QString m_nKey[5];
	QString m_strKey[5];
	QString m_alphaKey[5][3];
    QRect m_numSelectedKey;
    QString m_nSelectedKey;
    QRect m_SpRectkey[2];
	QPixmap *pm;
	
	int clickcount; // 문자 클릭 횟수 판별
	int m_ChangeCount; // 영대소문자,숫자 변환을 위한 카운터
    QString m_SmallstrKey[5];	//영소문자 집합
	QString m_SmallalphaKey[5][3]; // 영소문자를 화면에 출력
	int tempi;
	int tempj;
	bool IsSetForwardKey;
};

#endif
#endif
