#ifndef WFTPINTERFACE_H
#define WFTPINTERFACE_H

#include "ConsDefine.h"

class WFTPInterface
{
     public:
         virtual ~WFTPInterface() {}
         //Main Widget
		 virtual int WFTPmakeButton(QVBoxLayout *layout, int widgetvalue) = 0;
		 virtual void WSettingWidget(QStackedLayout *layout) = 0;
 		 // Button Widget
		 virtual int SetChangeButton(QStackedLayout *Buttonlayout, int buttonvalue) = 0;
};

class FTPSetInterface
{
	public:
		virtual ~FTPSetInterface() {}
		// Main Widget
		virtual int FTPSetButton(QVBoxLayout *LayoutSender, int value) = 0;
		virtual void SelectFTPClientOrServer(QStackedLayout *layout) = 0;
		virtual void FTPClientConnect(QStackedLayout *layout) = 0;
		virtual void FTPConnectPage(QStackedLayout *layout) = 0;
		// Button Widget		
		virtual int WClientOrServerButton(QStackedLayout *Buttonlayout, int Buttonvalue) = 0;
		virtual void WClientButton(QStackedLayout *Buttonlayout) = 0;
		virtual void FTPSettingButton(QStackedLayout *Buttonlayout) = 0;
		virtual void Calldir(QTreeWidget* treeWidget,QTreeWidget* downtreeWidget)  = 0;
		virtual QString CheckFtpFileInfo(QString CheckItem) = 0;
		virtual void FtpDo_Dir(QString SubFolderName, QTreeWidgetItem *SubDirItem) = 0;

};

class SetBlueInterface
{
	public :
		virtual ~SetBlueInterface() {}
		//Main Widget
		virtual int BlueSetButton(QVBoxLayout *layout, int widgetvalue) = 0;
		virtual void SetBlueWidget(QStackedLayout *layout) = 0;
		virtual void SetNewBlueWidget(QStackedLayout *layout) = 0;
		virtual void RegisterBlueWidget(QStackedLayout *layout) = 0;
		virtual void PinCodeWidget(QStackedLayout *layout) = 0;
		//Button Widget
		virtual int SetBluetoothButton(QStackedLayout *Buttonlayout, int buttonvalue) = 0;
		virtual void SetBlueNewButton(QStackedLayout *Buttonlayout) = 0;
		virtual void SetBlueRegisterButton(QStackedLayout *Buttonlayout) = 0;
		virtual void SetBluePinButton(QStackedLayout *Buttonlayout) = 0;

};

class FTPSettingInterface
{
	public :
		virtual ~FTPSettingInterface() {}
		//Main Widget
		virtual int FTPSettingButton(QVBoxLayout *LayoutSender, int value) = 0;
		virtual void FTPServerConnect(QStackedLayout *layout) = 0;
		virtual int WServerButton(QStackedLayout *Buttonlayout, int value) = 0;

};

//첫번째 인자 = 클레스 이름
//제작자를 나타내는 도메인 이름, 응용프로그램 이름, 인터페이스 이름, 버전번호
Q_DECLARE_INTERFACE(WFTPInterface, "BSSM.Lin.WFTPInterface/1.0")
Q_DECLARE_INTERFACE(FTPSetInterface, "com.trolltect.Plugin.FileInterface/1.0") 
Q_DECLARE_INTERFACE(SetBlueInterface, "BSSM.Lin.SetBlueInterface/1.0")
Q_DECLARE_INTERFACE(FTPSettingInterface, "BSSM.Den.FTPSettingInterface/1.0")
#endif

