/**
		@file 	ftpserver.h
		@data	2009/07/24
		@author	최영업(cyu0070@naver.com) Terapi
		@brief
*/
#ifndef __FTPSERVER_H_
#define __FTPSERVER_H_

using namespace std;

#include <stdlib.h>
#include <string.h>
#include <ctype.h>
//#include <errno.h>
#include <iostream>
#include <signal.h>
#include <unistd.h>
#include <sys/socket.h>
#include <netinet/in.h>
#include <netdb.h>
#include <sys/wait.h>
#include <time.h>
#include <sys/time.h>
#include <sys/types.h>

#include "accepter.h"
#include "config.h"
#include "servermanager.h"
#include "usermanager.h"
#include "rootstream.h"
#include "user.h"
#include "listener.h"

#include <QVBoxLayout>
#include <QTextEdit>
#define DEBUG_FTPSERVER
#define REACTION_TIME 1L
#define INVALID_SOCKET -1
/**
	@class		FtpServer
	@date	    2009/07/10
	@author		최영업(cyu0070@naver.com) Terapi
	@brief		main에 해당하는 class
	@warning 	
*/
class FtpServer
{

	public :
		static int s_Server_Stop;
		int Pre_Run(char* );		///<서버에서 while전에 적용해야할 프로토콜 설정을 위한 함수
		int Run( pthread_mutex_t, char* ,bool);
		void itoa(int,char*,int);  ///< 데이터를 보넬때 숫자를 문자로 변환해야하기때문에 사용하는 함수
};
#endif

