/**
		@file 	listener.h
		@date	2009/07/24
		@author	최영업(cyu0070@naver.com) Terapi
		@brief
*/
#ifndef __LISTENER_H_
#define __LISTENER_H_

#include <iostream>
#include <string.h>
#include <stdio.h>
#include <stdlib.h>
#include <ctype.h>
#include <sys/stat.h>
#include <time.h>
#include <sys/time.h>
#include <sys/types.h>
#include <unistd.h>
#include <sys/socket.h>
#include <sys/param.h>
#include <netdb.h>
#include <netinet/in.h>
#include <arpa/inet.h>
#include <signal.h>
#include <errno.h>

#include "usercommand.h"
#include "usermanager.h"
#include "handler.h"
#include "servermanager.h"

#define REQ_SYST 0
#define REQ_QUIT 1
#define REQ_TYPE 2
#define REQ_PORT 3
#define REQ_LIST 4
#define REQ_CWD  5
#define REQ_PWD  6
#define REQ_RETR 7
#define REQ_USER 8
#define REQ_PASS 9
#define REQ_REST 10
#define REQ_SIZE 11
#define REQ_MDTM 12
#define REQ_STOR 13
#define REQ_CDUP 14
#define REQ_NOOP 15
#define REQ_GET  16
#define REQ_NLST 17
#define REQ_PASV 18
#define REQ_ABOR 19
#define REQ_MKD  20
#define REQ_RMD  21
#define REQ_DELE 22
#define REQ_RNFR 23
#define REQ_RNTO 24
#define REQ_APPE 25
#define REQ_STOU 26
#define REQ_COUNT 27

#define USR_USER   0
#define USR_PASS   1
#define USR_ONLINE 2

//extern const char *ftp_returnstr[];



//class UserManager ;
class UserManager;
class Listener
{
	public:
		int sn;			///<sock_num
		int listen_loop(UserManager*uarr[],pthread_mutex_t,char*,int);
};
#endif
