#include "WLANFTP.h"
WFTPPlugin::WFTPPlugin()
{
	ClickChecker = false;
}
void WFTPPlugin::SetLayoutSender(QStackedLayout *WidgetLayout)
{
	TransWLayout = WidgetLayout;
}
void WFTPPlugin::SetLayButton(QStackedLayout *ButtonSender)
{
	TransBLayout = ButtonSender;
}
// Second Page에서 Button 생성
int WFTPPlugin::WFTPmakeButton(QVBoxLayout *layout, int widgetvalue)
{
	WidgetValue = widgetvalue;
	WSetButton = new NewPushButton("Wireless-LAN Setting");	//Wipi 버튼 생성
	layout->addWidget(WSetButton);
	connect(WSetButton, SIGNAL(clicked()), this,SLOT(SettingWLANTabWidget()));
	//layout->addStretch();

	return WidgetValue;
}

// Wireless-LAN 버튼 클릭시 탭위젯 생성 - 네트워크 연결 및 상태
void WFTPPlugin::WSettingWidget(QStackedLayout *layout)
{
	SetLayoutSender(layout);	//Layout 인자 전달

	WSetTabWidget = new QTabWidget;	// QTabWidget 생성
	layout->addWidget(WSetTabWidget); //Main Display부분에 마지막 인덱스 추가
	WSetTabWidget->setStyleSheet("background-color: rgb(214,232,248);");
	//--- TabWidget에 Tab 등록
	SetNetWork = new QWidget;
	SearchLAN = new QWidget;
	Connect = new QWidget;	
	WSetTabWidget->addTab(SetNetWork, kor("네트워크 환경설정"));
	WSetTabWidget->addTab(SearchLAN, kor("무선랜 검색"));
	WSetTabWidget->addTab(Connect, kor("연결"));

	WSetNetWorkTab1page();
}
//네트워크 설정 Tab
void WFTPPlugin::WSetNetWorkTab1page()
{
	TabLayout = new QVBoxLayout(SetNetWork);
	TabGroup = new QGroupBox(kor("IP 주소 등록"));
	TabLayout->addWidget(TabGroup);
	
	LabelLayout = new QVBoxLayout;
	IP = new QLabel(kor("IP 주소"));
	IPEdit = new MyLineEdit;

	Subnet = new QLabel (kor("서브넷 마스크"));
	SubnetEdit = new MyLineEdit;
	Rount = new QLabel (kor("기본 게이트웨이"));
	RountEdit = new MyLineEdit;

	DNSGroup = new QGroupBox(kor("DNS 서버 주소 등록"));
	TabLayout->addWidget(DNSGroup);

	DNSLayout = new QVBoxLayout;
	DNS = new QLabel(kor("기본 설정 DNS 서버"));
	DNSEdit = new MyLineEdit;
	SubDNS = new QLabel(kor("보조 DNS 서버"));
	SubDNSEdit = new MyLineEdit;
	   
	LabelLayout->addWidget(IP);
	LabelLayout->addWidget(IPEdit);
	LabelLayout->addWidget(Subnet);
	LabelLayout->addWidget(SubnetEdit);
	LabelLayout->addWidget(Rount);
	LabelLayout->addWidget(RountEdit);
	DNSLayout->addWidget(DNS);
	DNSLayout->addWidget(DNSEdit);
	DNSLayout->addWidget(SubDNS);
	DNSLayout->addWidget(SubDNSEdit);
	 
	TabGroup->setLayout(LabelLayout);
	DNSGroup->setLayout(DNSLayout);
	LabelLayout->addStretch();
	TabLayout->addStretch();

	TabLayout = new QVBoxLayout(SearchLAN);

	QStringList WireStr;
	//WireStr << kor("무선랜") << kor("강도");
    WireStr << "Address" << "ESSID" << "Bit Rates";
	TreeWireSearch = new QTreeWidget;
	TreeWireSearch->setHeaderLabels(WireStr);
	TabLayout->addWidget(TreeWireSearch);
	TreeWireSearch->setColumnCount(3);
	ForButton = new QHBoxLayout;
	TabLayout->addLayout(ForButton);
    TreeWireSearch->clear(); // 트리 위젯 초기화
	WireSearchButton = new QPushButton(kor("재검색"));
	WireSearchButton->setIcon(QIcon("./image/Search.png"));
	WireSearchButton->setFlat(true);  //버튼 평면화
	WireSearchButton->setFocusPolicy(Qt::NoFocus);    //버튼 포커스 설정
	ForButton->addWidget(WireSearchButton);
    connect(WireSearchButton,SIGNAL(clicked()),this,SLOT(SearchAPPoint()));

	WireStopButton = new QPushButton(kor("검색 중지"));
	WireStopButton->setIcon(QIcon("./image/Delete.png"));
	WireStopButton->setFlat(true);  //버튼 평면화
	WireStopButton->setFocusPolicy(Qt::NoFocus);    //버튼 포커스 설정
	ForButton->addWidget(WireStopButton);
	
	APConnect = new QPushButton(kor("AP 접속"));
	APConnect->setIcon(QIcon("./image/NetworkConnections.png"));
	APConnect->setFlat(true);  //버튼 평면화
	APConnect->setFocusPolicy(Qt::NoFocus);    //버튼 포커스 설정
	ForButton->addWidget(APConnect);
	connect(APConnect,SIGNAL(clicked()),this,SLOT(APConnection()));
	TabLayout = new QVBoxLayout(Connect);

	QLabel *State = new QLabel(kor("  상태"));
	TabLayout->addWidget(State);
	QLabel *Network = new QLabel(kor("  네트워크"));
	TabLayout->addWidget(Network);
	QLabel *Speed = new QLabel(kor("  속도"));
	TabLayout->addWidget(Speed);
	QLabel *Higher = new QLabel(kor("  신호 강도"));
	TabLayout->addWidget(Higher);

}
	
/*
      @brief Wireless LAN AP 검색 
      @date 2009/10/09
      @author 안병기(sixthman23@naver.com)
*/
void WFTPPlugin::SearchAPPoint()
{

	QString strProgram = "./iwlist rausb0 scanning";   
	qDebug("....");
	FILE *read_fp;
	char buffer[256];
	bool inputflag = false;
	bool inputflag1 = false;
	bool inputflag2 = false;
	QList<QTreeWidgetItem *> items;
   //QStringList ApInfo;

    if((read_fp = popen("./iwlist rausb0 scanning","r")) == NULL)
    {
        perror("popen failed");
        exit(1);
    }
	memset(buffer,0,sizeof(buffer));
	char *str1 = NULL;
	char *str2 = NULL;
	char *str3 = NULL;

	if(ClickChecker == true)
		return;

	while(fgets(buffer,sizeof(buffer),read_fp))
	{
		ClickChecker = true;
		char *str = NULL;
		int cnt = 0;
		char* tempret;
	    str = strstr(buffer,"Address:");
		if(str != NULL)
		{
			str1 = NULL;
			tempret = str+8;
			str1 = (char*)malloc(strlen(tempret));
			
			memset(str1,0,strlen(tempret));
			strncpy(str1,tempret,strlen(tempret));
			inputflag = true;
		}	
	    str = strstr(buffer,"ESSID:");
	    if(str != NULL)
		{
			    str2 = NULL;
			 	tempret = str+6;
		     	str2 = (char*)malloc(strlen(tempret));
             	memset(str2,0,strlen(tempret));
             	strncpy(str2,tempret,strlen(tempret));
			    inputflag1 = true;	
		}	
		str = strstr(buffer,"Bit Rates:");
		if(str != NULL)
		{
			 str3 = NULL;
			 tempret = str+10;
			 str3 = (char*)malloc(strlen(tempret));
             memset(str3,0,strlen(tempret));
             strncpy(str3,tempret,strlen(tempret));
			 inputflag2 = true;
		}

		if(inputflag == true && inputflag1 == true && inputflag2 == true)
		{
			QStringList ApInfo;
		    QString APaddr =  QString(str1).left(18);
            int strlen = QString(str2).length();
            int last = QString(str2).lastIndexOf(QRegExp("\""));
            int first = QString(str2).indexOf(QRegExp("\""));
            QString APStr = QString(str2).remove(last,strlen - last);
            APStr = APStr.remove(first,1);
            int bitlen = QString(str3).length();
            int bitlast = QString(str3).lastIndexOf(QRegExp("s"));
            QString BitStr = QString(str3).remove(bitlast + 1,bitlen - bitlast);
            ApInfo << APaddr << APStr << BitStr;
		    
			printf("str1 : %s , str2 :  %s , str3 : %s\n",str1,str2,str3);
		    items.append(new QTreeWidgetItem((TreeWireSearch),ApInfo));
		
		 	inputflag = false;
		    inputflag1 = false;
		    inputflag2 = false;
		}	
	}
	connect(TreeWireSearch,SIGNAL(itemClicked(QTreeWidgetItem *,int)),this,SLOT(ConnectAPPoint(QTreeWidgetItem*)));
	TreeWireSearch->insertTopLevelItems(0,items);
	ClickChecker = false;
	qDebug("search... ");
}
/*
      @brief 리스트 위젯에서 특정 정보 AP 선택
      @param Wireless LAN AP 선택  
	  @author 안병기(sixthman23@naver.com)
*/

void WFTPPlugin::ConnectAPPoint(QTreeWidgetItem* item)
{
	APinforMation = item->text(1);
	qDebug(APinforMation.toAscii());
	qDebug("connect ap ");
}

/*
  	 @brief 선택된 AP로 접속.
	 @author 안병기(sixthman23@naver.com)
*/
void WFTPPlugin::APConnection()
{
	
	QString strProgram = "./iwconfig rausb0 essid " + APinforMation;
	qDebug(strProgram.toAscii());
	QProcess::execute(strProgram);
	QString order = "./iwconfig";
	QProcess::execute(order);
}
int  WFTPPlugin::SetChangeButton(QStackedLayout *Buttonlayout, int buttonvalue)
{
	ButtonLayoutValue = buttonvalue;
	SetLayButton(Buttonlayout);

	ButtonWidget = new QWidget;
	Buttonlayout->addWidget(ButtonWidget);
	Button2HBoxLayout = new QHBoxLayout(ButtonWidget);
  	Button2HBoxLayout->setMargin(0);
   	Button2HBoxLayout->setSpacing(0);

	Main = new QPushButton("Main");
	Main->setIcon(QIcon("./image/Home.png"));
	Main->setFlat(true);  //버튼 평면화
	Main->setFocusPolicy(Qt::NoFocus);    //버튼 포커스 설정
	Button2HBoxLayout->addWidget(Main);
	connect(Main, SIGNAL(clicked()), this, SLOT(GotoMain()));

	SelectButton = new QPushButton(kor("설정"));
	SelectButton->setIcon(QIcon("./image/NetworkSettings.png"));
	SelectButton->setFlat(true);  //버튼 평면화
	SelectButton->setFocusPolicy(Qt::NoFocus);    //버튼 포커스 설정
	connect(SelectButton, SIGNAL(clicked()), this, SLOT(WriteLineEdit())); 
	Button2HBoxLayout->addWidget(SelectButton);

	BackButton = new QPushButton(kor("취소"));
	BackButton->setIcon(QIcon("./image/Delete2.png"));
	BackButton->setFlat(true);  //버튼 평면화
	BackButton->setFocusPolicy(Qt::NoFocus);    //버튼 포커스 설정
	Button2HBoxLayout->addWidget(BackButton);
	connect(BackButton, SIGNAL(clicked()), this, SLOT(FuncBackButton()));

	return ButtonLayoutValue;	
	//SettingWLANTabWidget();
}

void WFTPPlugin::WriteLineEdit()
{
	QString str = IPEdit->text();
	QString Mask = SubnetEdit->text();
	QString GateWay = RountEdit->text();
	QString DNSStr = DNSEdit->text();
	QString SubDNSStr = SubDNSEdit->text();

	// 아이피 할당.
    QString ipsetting = "./ifconfig rausb0 " + str;
	qDebug(ipsetting.toAscii());
	QProcess::execute(ipsetting);
	//서브넷 마스크 할당.
    QString NetMaskSet = "./ifconfig rausb0 netmask " + Mask;
    qDebug(NetMaskSet.toAscii());
	QProcess::execute(NetMaskSet);
	// 라우터(게이트웨이?) 설정.
	QString GateWaySet = "route add default gw " + GateWay;
	qDebug(GateWaySet.toAscii());
	QProcess::execute(GateWaySet);
		
	QFile file("./ip2.txt");
	if(!file.open(QIODevice::WriteOnly))
	{
		qWarning("couldnot open");
	}

	QTextStream ts(&file);
	ts << "IP="<< str << endl;
	ts << "Mask=" << Mask << endl;
	ts << "Gateway=" << GateWay << endl;
	ts << "Default DNS=" << DNSStr << endl;
	ts << "Sub DNS=" << SubDNSStr << endl;

	file.close(); 
	FuncBackButton();
}

// SLOT 부분
void  WFTPPlugin::SettingWLANTabWidget()
{
	TreeWireSearch->clear(); // 트리 위젯 초기화 
	TransWLayout->setCurrentIndex(WidgetValue);
	TransBLayout->setCurrentIndex(ButtonLayoutValue);
}
void WFTPPlugin::GotoMain()
{
     TreeWireSearch->clear(); // 트리 위젯 초기화
	 TransWLayout->setCurrentIndex(MainFirstWidget);
     TransBLayout->setCurrentIndex(SetMainButton);
}
void WFTPPlugin::FuncBackButton()
{
     TreeWireSearch->clear(); // 트리 위젯 초기화 
   	 TransWLayout->setCurrentIndex(MainSecondWidget);
     TransBLayout->setCurrentIndex(SetMainButton);
}

//첫번째 인자 = 대상 라이브러리 이름
//두번째 인자 = 플러그인 클래스 이름
Q_EXPORT_PLUGIN2(WLANFTP, WFTPPlugin);

