#ifndef WLANFTP_H
#define WLANFTP_H

#include "../HeaderFile/mylineedit.h" // 라인에디트 클릭시 키패드가 나타나도록 수정한 라인에디트 
#include "../HeaderFile/wftpinterface.h"	// Interface 헤더파일 추가
#include "../HeaderFile/ReMakeInstance.h"	// 객체 재구성
#include "../HeaderFile/ConsDefine.h"	//상수 정의
#include <QProcess>
class NewPushButton;	//새로운 PushButton 
class MyLineEdit;
class WFTPPlugin : public QObject, public WFTPInterface
{
     Q_OBJECT
     Q_INTERFACES(WFTPInterface)
					 
	public :
	 	int WidgetValue;
	 	int ButtonLayoutValue;	
		WFTPPlugin();
   		//Layout Return Function
		void SetLayoutSender(QStackedLayout *WidgetLayout); //화면레이아웃 정보 복사
		void SetLayButton(QStackedLayout *ButtonSender);    //버튼레이아웃 정보 복사
		//Widget Display
	    int WFTPmakeButton(QVBoxLayout *layout,  int widgetvalue);	//버튼 추가
		void WSettingWidget(QStackedLayout *layout); //Set WLAN 클릭시 페이지
		void WSetNetWorkTab1page();	//네트워크 설정 탭 
		//Button Widget
		int  SetChangeButton(QStackedLayout *Buttonlayout, int buttonvalue);	// 하단 버튼 바꾸기
	public slots :
		//Move to Widget()
		void SettingWLANTabWidget();
		void GotoMain();
		void FuncBackButton();
		//Save IP Info
		void WriteLineEdit();
	private :
		QStackedLayout *TransWLayout;	
		QStackedLayout *TransBLayout;

		//WFTPmakeButton()
		NewPushButton *WSetButton;  // 버튼 생성

		//WSettingWidget()
		QTabWidget *WSetTabWidget;
		QWidget *SetNetWork;
		QWidget *SearchLAN;
		QWidget *Connect;
		
		//WSetNetWorkTab1Page()
		QVBoxLayout *TabLayout;
		QVBoxLayout *LabelLayout;
		QVBoxLayout *DNSLayout;
		QGroupBox *TabGroup;
		QGroupBox *DNSGroup;
		QLabel *IP;
		QLabel *Subnet;
		QLabel *Rount;
		QLabel *DNS;
		QLabel *SubDNS;

		MyLineEdit *IPEdit;
		MyLineEdit *SubnetEdit;
		MyLineEdit *RountEdit;
		MyLineEdit *DNSEdit;
		MyLineEdit *SubDNSEdit;

		//--- 2Tab
		QTreeWidget *TreeWireSearch;
		QHBoxLayout *ForButton;
		QPushButton *WireSearchButton;
		QPushButton *WireStopButton;			
		
		//--- 하단 버튼 생성 ----
		QWidget *ButtonWidget;
		QHBoxLayout *Button2HBoxLayout;
		QPushButton *Main;
		QPushButton *SelectButton;
		QPushButton *CancelButton;
		QPushButton *BackButton;

//		void FuncBackButton();
		QPushButton *APConnect;
		QString APinforMation;
		bool ClickChecker;
        public slots:
			void SearchAPPoint();
		    void ConnectAPPoint(QTreeWidgetItem* item);
			void APConnection();
};

#endif

