//무선 인터넷 FTP 플러그인 부분 
#include "FTPSetPlugin.h"
#include <QApplication>
//Server Start 
class FTPSetPlug;
QTextEdit *gedit;
pthread_mutex_t s_mutex;
pthread_mutex_t c_mutex ;


//server
char server_buffer[4096];
int success=0;
int Server_State_main = 0;
bool Server_State_sub = true;
bool server_init= true;

//client
int cli_sock=0;


char dir_buffer[1024];


void *Server_Connect(void *arg)    // 스레드2
{
	FtpServer fser;
	pthread_mutex_lock(&s_mutex);
	
	while(Server_State_main != -2)
	{
		if(server_init)
		{
			success=fser.Pre_Run(server_buffer);
			server_init = false;
		}

		pthread_mutex_unlock(&s_mutex);  
		//이부분 세번째 인자값 모름
		/**
			return 	@	정상동작 =0
				   	@	continue =-1
					@	서버정지 =-2
		  */
		Server_State_main=fser.Run(s_mutex,server_buffer,Server_State_sub);

		if(Server_State_main == -2)
		{
			pthread_mutex_destroy(&s_mutex);
			cout << "뮤텍스 해제"<<endl;
		}

		if(strlen(server_buffer))
			cout <<"[[[ buffer ]]] "<<server_buffer <<endl;
		
	}
	pthread_mutex_unlock(&s_mutex);

} 

void *Server_Ui_Recv (void* arg)
{
	int a=0;
	pthread_mutex_lock(&s_mutex);
	while(1)
	{ 
		if(a=strlen(server_buffer))
		{
			pthread_mutex_unlock(&s_mutex);     // 스레드1
			gedit->textCursor().insertText(server_buffer);
			gedit->moveCursor(QTextCursor::End);
			memset(server_buffer,0,4096);

		}
		sleep(1);
		pthread_mutex_unlock(&s_mutex);     // 스레드1
	}

	pthread_mutex_unlock(&s_mutex);
}

int LogTextEdit::LogText(QTextEdit *Edit)
{
	gedit = Edit;
	pthread_t a_thread;
	pthread_mutex_init(&s_mutex, 0); // 1. 뮤텍스가 초기화 됨.(UNLOCK 상태, 즉, 수도꼭지 열린 상태)

	//초기화
	success=0;
	Server_State_main = 0;
	Server_State_sub = true;
	server_init= true;

	pthread_create(&a_thread, 0, Server_Connect, 0); // 3. 스레스 생성
	pthread_create(&a_thread, 0, Server_Ui_Recv, 0);
	
	return success;
}	
// Server Enid
FTPSetPlugin::FTPSetPlugin()
{
	ThisIsSubDir = false;
}
/*
 	@breif dir_handler 에서 검색된 디렉토리 목록을 받아 파일 정보 분석후 화면에 디스플레이하여 준다.
 */
bool cout_flag = 1;
void FTPSetPlugin::Send_Dir(QString Dir_Msg)
{
	int count_tok=0;
	struct Dir_Info di;
	char *ptr,*ptr1;
	bool end_flag = false;
	bool for_flag = false;
	bool flag = false;
	int w_i=0;
	int enter_count=0;
	bool first=false;
	int file_count =0;
	int i=0,j=0,k=0;
	//디렉토리 정보를 넘길 구조체 선언
	Dir_Info *Dir_Info_arr = new Dir_Info[1024];				

	char* dir_msg = new char[1024];
	strcpy(dir_msg,Dir_Msg.toAscii().data());

	int char_count=1;

	int strlen_recv_data = strlen(dir_msg);


	cout << strlen_recv_data <<endl;
	

	while(flag == false && strlen_recv_data != 0)
	{
		ptr = strtok(dir_msg," ");
		if(ptr)
		{
			strcpy(di.file_permission,ptr);
			strcpy(Dir_Info_arr[file_count].file_permission,di.file_permission);
			Dir_Info_arr[file_count].file_permission[strlen(Dir_Info_arr[file_count].file_permission)+1] = '\0';
			if(cout_flag)
				cout <<"0 -"<<Dir_Info_arr[file_count].file_permission<<endl;
			//			break;

		}



		while(ptr != NULL || end_flag == false )
		{
			for_flag = false;
			ptr = strtok(NULL," ");

			if(count_tok == 0 )				
			{
				strcpy(di.a,ptr);
				strcpy(Dir_Info_arr[file_count].a,ptr);
				Dir_Info_arr[file_count].a[strlen(Dir_Info_arr[file_count].a)+1] = '\0';
			}
			else if(count_tok == 1 )			{
				strcpy(di.user1,ptr);
				strcpy(Dir_Info_arr[file_count].user1,ptr);
				Dir_Info_arr[file_count].user1[strlen(Dir_Info_arr[file_count].user1)+1] = '\0';
			}
			else if(count_tok == 2 )			{
				strcpy(di.user2,ptr);
				strcpy(Dir_Info_arr[file_count].user2,ptr);

				Dir_Info_arr[file_count].user2[strlen(Dir_Info_arr[file_count].user2)+1] = '\0';
			}
			else if(count_tok == 3 )			{
				strcpy(di.file_size,ptr);
				strcpy(Dir_Info_arr[file_count].file_size,ptr);
				Dir_Info_arr[file_count].file_size[strlen(Dir_Info_arr[file_count].file_size)+1] = '\0';
				if(cout_flag)
					cout <<"4 - "<<Dir_Info_arr[file_count].file_size<<" ";
			}
			else if(count_tok == 4 )			{
				strcpy(di.date1,ptr);
				strcpy(Dir_Info_arr[file_count].date1,ptr);
				Dir_Info_arr[file_count].date1[strlen(Dir_Info_arr[file_count].date1)+1] = '\0';
			}
			else if(count_tok == 5 )			{
				strcpy(di.date2,ptr);
				strcpy(Dir_Info_arr[file_count].date2,ptr);
				Dir_Info_arr[file_count].date2[strlen(Dir_Info_arr[file_count].date2)+1] = '\0';
			}
			else if(count_tok == 6 )			{
				strcpy(di.date3,ptr);
				strcpy(Dir_Info_arr[file_count].date3,ptr);
				Dir_Info_arr[file_count].date3[strlen(Dir_Info_arr[file_count].date3)+1] = '\0';
			}
			else if(count_tok == 7 )		
			{
				for(i =0;ptr[i];i++)
				{
					if(ptr[i] == '\n')
					{
						break;
					}
				}
				memset(di.file_name,0,256);

				for(j=0;j<i;j++)
				{
					di.file_name[j] = ptr[j];
					Dir_Info_arr[file_count].file_name[j] = ptr[j];
				}
				Dir_Info_arr[file_count].file_name[j] = '\0';

				if(cout_flag)
					cout <<" 8 - "<<Dir_Info_arr[file_count].file_name<<endl;

				for(j=j+1,k=0; ptr[i]!=' '||for_flag == false; j++,k++)
				{
					di.file_permission[k]=ptr[j];

					if(ptr[j] == '&')
					{
						end_flag = true;
						for_flag = true;
						flag = true;
						j=0;
						break;

					}


					else if(ptr[j] == NULL  )
					{
						end_flag = false;
						for_flag = true;
						flag = true;
						j=0;
						break;
					}

					else if(( 64 < ptr[j-3] && ptr[j-3] < 128 )&&( 64 < ptr[j-2] && ptr[j-2]<128)&&(64<ptr[j-1]&&ptr[j-1]<128))
					{
						end_flag = false;
						for_flag = true;
						flag = true;
						break;
					}
				}

				if(end_flag == false)
				{
					strcpy(Dir_Info_arr[file_count+1].file_permission,di.file_permission);
					Dir_Info_arr[file_count+1].file_permission[strlen(Dir_Info_arr[file_count+1].file_permission)+1] = '\0';
					if(cout_flag)
						cout <<"00 - "<<Dir_Info_arr[file_count].file_permission<<"  ";
					count_tok =-1;
				}
				file_count++;
			}
			count_tok++;
		}

	}



	QTreeWidgetItem* SubDirItem;
	QList<QTreeWidgetItem *> SubDirItems;
	QTreeWidgetItem *SubDownDirItem;
	QList<QTreeWidgetItem *> SubDownDirItems;

	for(int i=0;i<file_count;i++)
	{	

 	 	cout <<Dir_Info_arr[i].file_permission<<'\t';
		cout <<Dir_Info_arr[i].a<<'\t';
		cout <<Dir_Info_arr[i].user1 <<'\t';
		cout <<Dir_Info_arr[i].user2 <<'\t';
		cout <<Dir_Info_arr[i].file_size <<'\t';
		cout <<Dir_Info_arr[i].date1 <<'\t';
		cout <<Dir_Info_arr[i].date2 <<'\t';
		cout <<Dir_Info_arr[i].date3 <<'\t';
		cout <<Dir_Info_arr[i].file_name<<endl;
		if(QString(Dir_Info_arr[i].file_permission).left(1) == "d")
		{
			if(ThisIsSubDir == false)
			{
				int len =   QString(Dir_Info_arr[i].file_name).length();	
				SubDirItem = new QTreeWidgetItem(DirItem,QStringList(QString(Dir_Info_arr[i].file_name).remove(len-1,1)));
				SubDirItem->setIcon(0,QIcon("./image/folder.png"));
				DirItem->addChild(SubDirItem);
				
				SubDownDirItem = new QTreeWidgetItem(DownDirItem,QStringList(QString(Dir_Info_arr[i].file_name).remove(len-1,1)));
				SubDownDirItem->setIcon(0,QIcon("./image/folder.png"));
				DirItem->addChild(SubDownDirItem);
				PluginFtpFileInfo.insert(QString(Dir_Info_arr[i].file_name).remove(len-1,1),QString("folder"));
			}
			else
			{
				int len =   QString(Dir_Info_arr[i].file_name).length();

				DownSubDirItem = new QTreeWidgetItem(SubDiretroyItem,QStringList(QString(Dir_Info_arr[i].file_name).remove(len-1,1)));
			    DownSubDirItem->setIcon(0,QIcon("./image/folder.png"));
				SubDiretroyItem->addChild(DownSubDirItem);
				
				 if(SubDiretroyItem->isExpanded() == false )
				 {
				     SubDiretroyItem->setExpanded(true);
				 }

				
				//UpSubDirItem = new QTreeWidgetItem(SubDiretroyItem,QStringList(QString(Dir_Info_arr[i].file_name).remove(len-1,1)));
				//UpSubDirItem->setIcon(0,QIcon("./image/folder.png"));
				//SubDiretroyItem->addChild(UpSubDirItem);
				PluginFtpFileInfo.insert(QString(Dir_Info_arr[i].file_name).remove(len-1,1),QString("folder"));
			}
		
		}
		else
		{
			if(ThisIsSubDir == false)
			{	
			 	int len1 =   QString(Dir_Info_arr[i].file_name).length();
			 	SubDirItem = new QTreeWidgetItem(DirItem,QStringList(QString(Dir_Info_arr[i].file_name).remove(len1-1,1)));
		     	SubDirItem->setIcon(0,QIcon("./image/file.png"));
		     	DirItem->addChild(SubDirItem);
			 	SubDownDirItem = new QTreeWidgetItem(DownDirItem,QStringList(QString(Dir_Info_arr[i].file_name).remove(len1-1,1)));
			 	SubDownDirItem->setIcon(0,QIcon("./image/file.png"));
			 	DirItem->addChild(SubDownDirItem);
			 	PluginFtpFileInfo.insert(QString(Dir_Info_arr[i].file_name).remove(len1-1,1),QString("file"));
			}
			else
			{
				  int len1 =   QString(Dir_Info_arr[i].file_name).length();	 
				  DownSubDirItem = new QTreeWidgetItem(SubDiretroyItem,QStringList(QString(Dir_Info_arr[i].file_name).remove(len1-1,1)));
				  DownSubDirItem->setIcon(0,QIcon("./image/file.png"));
				  SubDiretroyItem->addChild(DownSubDirItem);
     	 		  
				  if(SubDiretroyItem->isExpanded() == false )
			      {
					  SubDiretroyItem->setExpanded(true);
				  }


			      PluginFtpFileInfo.insert(QString(Dir_Info_arr[i].file_name).remove(len1-1,1),QString("file"));
			}
		}
	}
}

void FTPSetPlugin::ReSetLayoutSender(QStackedLayout *WidgetLayout)
{
	ReSetLayout =	WidgetLayout;
}
void FTPSetPlugin::SetButtonLayoutSender(QStackedLayout *ButtonLayout)
{
	SetButtonLayout = ButtonLayout;
}

// Lin 메인 창에서 무선 FTP 버튼플러그인 추가 창
int FTPSetPlugin::FTPSetButton(QVBoxLayout *LayoutSender, int value)
{
	StackLayoutValue = value;
	WFTPSetButton = new NewPushButton("Wireless-LAN FTP");
	connect(WFTPSetButton, SIGNAL(clicked()), this, SLOT(FTPSettingRecevie()));
	LayoutSender->addWidget(WFTPSetButton);

	return StackLayoutValue+2;
}
// 무선 FTP 버튼에서 Client or Server 버튼 창
void FTPSetPlugin::SelectFTPClientOrServer(QStackedLayout *layout)
{
	ReSetLayoutSender(layout);

	SixthWidget = new QWidget;
	layout->addWidget(SixthWidget);

	QFont font("unifont");
	SixthWidget->setFont(font);

	FTPSVBoxLayout = new QVBoxLayout(SixthWidget);

	FTPLabel = new QLabel("FTP");
	FTPSVBoxLayout->addWidget(FTPLabel);
	FTPLabel->setFrameStyle(QFrame::Box | QFrame::Sunken);
	FTPLabel->setLineWidth(1);
	FTPLabel->setAlignment(Qt::AlignHCenter);

	ClientButton = new NewPushButton("FTP Client");
	connect(ClientButton, SIGNAL(clicked()), this,SLOT(FTPClientPage()));
	FTPSVBoxLayout->addWidget(ClientButton);
	ServerButton = new NewPushButton("FTP Server");
	FTPSVBoxLayout->addWidget(ServerButton);
	connect(ServerButton, SIGNAL(clicked()), this,SLOT(FTPSettingPage()));

	FTPSVBoxLayout->addStretch();
}
// Client 부분
void FTPSetPlugin::FTPClientConnect(QStackedLayout *layout)
{
	ReSetLayoutSender(layout);

	FTPClientWidget = new QWidget;
	layout->addWidget(FTPClientWidget);

	FTPClientLayout = new QVBoxLayout(FTPClientWidget);
	FTPClientLabel = new QLabel("FTP Client");
	FTPClientLayout->addWidget(FTPClientLabel);
	FTPClientLabel->setFrameStyle(QFrame::Box | QFrame::Sunken);
	FTPClientLabel->setLineWidth(1);
	FTPClientLabel->setAlignment(Qt::AlignHCenter);

	FTPClientBox = new QGroupBox("FTP Address");
	FTPClientLayout->addWidget(FTPClientBox);

	FTPCliAddress = new QGridLayout;
	FTPClientBox->setLayout(FTPCliAddress);
	FTPAddress = new QLabel(kor("주소"));
	FTPCliAddress->addWidget(FTPAddress,0,0);
	
	AddressCombo = new QComboBox();
	AddressCombo->setEditable(true);
	AddressCombo->addItem("210.118.69.195");	
	FTPCliAddress->addWidget(AddressCombo,1,0);

	FTPUserInfo = new QGroupBox("Entry");
	FTPClientLayout->addWidget(FTPUserInfo);

	FTPInfoGridLay = new QGridLayout;
	FTPUserInfo->setLayout(FTPInfoGridLay);
	FTPUserID = new QLabel("User ID");
	FTPInfoGridLay->addWidget(FTPUserID,0,0);	
	FTPUserIDLineEdit = new MyLineEdit;
	FTPInfoGridLay->addWidget(FTPUserIDLineEdit,0,1);

	FTPPW = new QLabel("PassWord");
	FTPInfoGridLay->addWidget(FTPPW,1,0);
	FTPPWLineEdit = new MyLineEdit;
	FTPPWLineEdit->setEchoMode(QLineEdit::Password);
	FTPInfoGridLay->addWidget(FTPPWLineEdit,1,1);

	FTPCliCheck = new QCheckBox(kor("익명 연결"));
	FTPInfoGridLay->addWidget(FTPCliCheck,2,1);
	connect(FTPCliCheck, SIGNAL(clicked()), this, SLOT(CheckBoxEvent()));
	FTPClientLayout->addStretch();
}
// FTP Setting
void FTPSetPlugin::FTPConnectPage(QStackedLayout *layout)
{
	ReSetLayoutSender(layout);

	FTPLogServerWidget = new QWidget;
	layout->addWidget(FTPLogServerWidget);

	LogLayout = new QVBoxLayout(FTPLogServerWidget);
	FTPLogLabel = new QLabel("FTP Log");
	LogLayout->addWidget(FTPLogLabel);
	FTPLogLabel->setFrameStyle(QFrame::Box | QFrame::Sunken);
	FTPLogLabel->setLineWidth(1);
	FTPLogLabel->setAlignment(Qt::AlignHCenter);

	ME = new QTextEdit();
	LogLayout->addWidget(ME);

	ME->setReadOnly(TRUE);
	
	UserLabel = new QLabel("User IP");
	LogLayout->addWidget(UserLabel);
	UserLabel->setFrameStyle(QFrame::Box | QFrame::Sunken);
	UserLabel->setLineWidth(1);
	UserLabel->setAlignment(Qt::AlignHCenter);

	listwidget = new ReSizeListWidget(0);
	LogLayout->addWidget(listwidget);
	item = new QListWidgetItem;
	item->setText("210.118.69.123");
	listwidget->addItem(item);
}


bool recevier_client_dir_info = 0;

/*
 	@breif 메인에서  dir 명령을 수행하기 위해 호출. 무선 랜 장치 정보 추가
	@param  메인 화면의 다운,업로드 위젯
	@athuor 안병기(sixthman23@naver.com)
 */
void FTPSetPlugin::Calldir(QTreeWidget *treeWidget, QTreeWidget *downtreeWidget)
{

	DirTreeWidget = treeWidget;
	DownDirTreeWidget = downtreeWidget;

	qDebug("Call Dir");
	//Handler hn;	
	
	ThisIsSubDir = false;
	connect(&hn,SIGNAL(Send_Dir(QString)),this,SLOT(Send_Dir(QString)));	
	DirItem = new QTreeWidgetItem(DirTreeWidget,QStringList(QString("Wireless Lan Equiment"))); 
	DirItem->setIcon(0,QIcon("./image/6.png"));
	DirItems.append(DirItem);
	
	DownDirItem = new QTreeWidgetItem(DownDirTreeWidget,QStringList(QString("Wireless Lan Equiment")));
	DownDirItem->setIcon(0,QIcon("./image/6.png"));
	DownDirItems.append(DownDirItem);


	hn.do_cd(cli_sock,"/",2);
	hn.do_dir(cli_sock,dir_buffer,0,c_mutex);
}
/*
 	@brief 하위 목록 검색을 위한 함수. cd 호출 후 dir 호출
	@param 하위 디렉토리 이름과 아이템 위젯
	@author 안병기(sixthman23@naver.com)
 */
void FTPSetPlugin::FtpDo_Dir(QString SubFolderName ,QTreeWidgetItem *SubDirItem)
{
	SubDiretroyItem = SubDirItem;
	//Handler hn;
	ThisIsSubDir = true;
	if(Wasthechecked.value(SubFolderName) == NULL)
	{
		hn.do_cd(cli_sock,SubFolderName.toAscii().data(),2);
		hn.do_dir(cli_sock,dir_buffer,0,c_mutex);
		Wasthechecked.insert(SubFolderName,"1");
	}
}
/*
 	@breif 서버로 부터 받은 파일이 폴더인지 파일인지 체크
	@param 파일 이름.
	@return folder or file
	@author 안병기(sixthman23@naver.com)
 */
QString FTPSetPlugin::CheckFtpFileInfo(QString FileName)
{	
	return PluginFtpFileInfo.value(FileName);
}


int FTPSetPlugin::WClientOrServerButton(QStackedLayout *Buttonlayout, int Buttonvalue)
{
	ButtonLayoutValue = Buttonvalue;
	SetButtonLayoutSender(Buttonlayout);

	WCliSerButtonWidget = new QWidget;
	Buttonlayout->addWidget(WCliSerButtonWidget);

	WCliSerHBoxLayout = new QHBoxLayout(WCliSerButtonWidget);
	WCliSerHBoxLayout->setMargin(0);
	WCliSerHBoxLayout->setSpacing(0);

	WCliSerMain = new QPushButton("Main");
	WCliSerHBoxLayout->addWidget(WCliSerMain);
	WCliSerMain->setFlat(true);  //버튼 평면화
    WCliSerMain->setIcon(QIcon("./image/Home.png"));
    WCliSerMain->setFocusPolicy(Qt::NoFocus);    //버튼
	connect(WCliSerMain, SIGNAL(clicked()), this, SLOT(WFTPLinMain()));
	
	WCliSerBackButton = new QPushButton(kor("취소"));
	WCliSerHBoxLayout->addWidget(WCliSerBackButton);
	WCliSerBackButton->setIcon(QIcon("./image/Delete2.png"));
    WCliSerBackButton->setFocusPolicy(Qt::NoFocus);    //버튼 포커스 설정
    WCliSerBackButton->setFlat(true);  //버튼 평면화
	connect(WCliSerBackButton, SIGNAL(clicked()), this,SLOT(WFTPSetMain()));

	return ButtonLayoutValue+2;
}
// Client 창에서의 이용 Button
void FTPSetPlugin::WClientButton(QStackedLayout *Buttonlayout)
{
	count = 0;
	ftpFlag = 1;
	SetButtonLayoutSender(Buttonlayout);

	WCliButtonWidget = new QWidget;
	Buttonlayout->addWidget(WCliButtonWidget);

	WCliHBoxLayout = new QHBoxLayout(WCliButtonWidget);
	WCliHBoxLayout->setMargin(0);
	WCliHBoxLayout->setSpacing(0);

	WCliMain = new QPushButton("Main");
	WCliMain->setFlat(true);  //버튼 평면화
	WCliMain->setIcon(QIcon("./image/Home.png"));
	WCliMain->setFocusPolicy(Qt::NoFocus);    //버튼
	WCliHBoxLayout->addWidget(WCliMain);
	connect(WCliMain, SIGNAL(clicked()), this, SLOT(WFTPLinMain()));
	
	WCliConnectButton = new QPushButton(kor("연결"));
	WCliConnectButton->setIcon(QIcon("./image/Connect.png"));
	WCliConnectButton->setFocusPolicy(Qt::NoFocus);    //버튼 포커스 설정
	WCliConnectButton->setFlat(true);  //버튼 평면화
	WCliHBoxLayout->addWidget(WCliConnectButton);
	connect(WCliConnectButton, SIGNAL(clicked()), this,SLOT(ConnectState()));

	WCliCancelButton = new QPushButton(kor("취소"));
	WCliCancelButton->setIcon(QIcon("./image/Delete2.png"));
	WCliCancelButton->setFocusPolicy(Qt::NoFocus);    //버튼 포커스 설정
	WCliCancelButton->setFlat(true);  //버튼 평면화
	WCliHBoxLayout->addWidget(WCliCancelButton);
	connect(WCliCancelButton, SIGNAL(clicked()), this,SLOT(ConnectCancel()));
}

void FTPSetPlugin::FTPSettingButton(QStackedLayout *Buttonlayout)
{
	SetButtonLayoutSender(Buttonlayout);

	FTPSetButtonWidget = new QWidget;
	Buttonlayout->addWidget(FTPSetButtonWidget);

	FTPSetHBoxLayout = new QHBoxLayout(FTPSetButtonWidget);
	FTPSetHBoxLayout->setMargin(0);
	FTPSetHBoxLayout->setSpacing(0);

	FTPSetMain = new QPushButton("Main");
	FTPSetMain->setFlat(true);  //버튼 평면화
	FTPSetMain->setIcon(QIcon("./image/Home.png"));
	FTPSetMain->setFocusPolicy(Qt::NoFocus);    //버튼
	FTPSetHBoxLayout->addWidget(FTPSetMain);
	connect(FTPSetMain, SIGNAL(clicked()), this, SLOT(WFTPLinMain()));
	
	FTPSetConnectButton = new QPushButton(kor("FTP 연결 끊기"));
	connect(FTPSetConnectButton, SIGNAL(clicked()), this, SLOT(ConnectFTP()));
	FTPSetHBoxLayout->addWidget(FTPSetConnectButton);
	
	FTPSetCancelButton = new QPushButton(kor("취소"));
	FTPSetCancelButton->setIcon(QIcon("./image/Delete2.png"));
	FTPSetCancelButton->setFocusPolicy(Qt::NoFocus);    //버튼 포커스 설정
	FTPSetCancelButton->setFlat(true);  //버튼 평면화
	FTPSetHBoxLayout->addWidget(FTPSetCancelButton);
	connect(FTPSetCancelButton, SIGNAL(clicked()), this,SLOT(ConnectCancel()));

}
void FTPSetPlugin::CheckBoxEvent()
{
	if(FTPCliCheck->isChecked())
	{
		FTPUserID->setEnabled(false);   
		FTPUserIDLineEdit->setEnabled(false);
		FTPPW->setEnabled(false);
		FTPPWLineEdit->setEnabled(false);
	}
	else{
		FTPUserID->setEnabled(true);
		FTPUserIDLineEdit->setEnabled(true);
		FTPPW->setEnabled(true);
		FTPPWLineEdit->setEnabled(true);
	}
}



//서버에서 연결 클릭시 
void FTPSetPlugin::ConnectFTP()
{
	FtpServer fser;
		
		FTPSetConnectButton->setText(kor("FTP 연결 끊기"));
		//아이디 패스워드 체크 및 서버 접속 
		cout <<"Ftp 연결끊겼음"<<endl;
		Server_State_sub = false;
		cout << "Server_State_sub "<< Server_State_sub <<endl;
		ME->clear();
		ConnectCancel();	
}


//SelectFTPClientOrServer()
void FTPSetPlugin::FTPSettingRecevie()
{
	ReSetLayout->setCurrentIndex(StackLayoutValue);
	SetButtonLayout->setCurrentIndex(ButtonLayoutValue);
}
//FTPClientConnect()
void FTPSetPlugin::FTPClientPage()
{
	ReSetLayout->setCurrentIndex(StackLayoutValue+1);
	SetButtonLayout->setCurrentIndex(ButtonLayoutValue+1);
}
//FTPConnectPage()
void FTPSetPlugin::FTPSettingPage()
{
	ME->clear();
	ReSetLayout->setCurrentIndex(StackLayoutValue+2);
	SetButtonLayout->setCurrentIndex(ButtonLayoutValue+2);
		qDebug("Start fork");
	//Server시작 시점 자동 시작 
	// Configuration 안에 정보 확인 한다음에 시작되게끔 예외처리해줘야함 
	int success=edit->LogText(ME);

	cout <<"=edit->LogText==="<<success<<endl;
		//ftpFlag =0;
}
//Go to Main Widget();
void FTPSetPlugin::WFTPLinMain()
{
	ReSetLayout->setCurrentIndex(StackLayoutValue-7);
	SetButtonLayout->setCurrentIndex(ButtonLayoutValue-3);	//0
}
//go to Second Widget()
void FTPSetPlugin::WFTPSetMain()
{
	ReSetLayout->setCurrentIndex(StackLayoutValue-5);	//2
	SetButtonLayout->setCurrentIndex(ButtonLayoutValue-3);	//0
}
//Cliecnt 에서 Cancel버튼 클릭시 
void FTPSetPlugin::ConnectCancel()
{   
	ReSetLayout->setCurrentIndex(StackLayoutValue);
	SetButtonLayout->setCurrentIndex(ButtonLayoutValue);
}

void FTPSetPlugin::GotoFourthPage()
{
	ReSetLayout->setCurrentIndex(StackLayoutValue-4);	//3	
	SetButtonLayout->setCurrentIndex(ButtonLayoutValue-3);  //0
}





//이하 클라이언트


QString ConnectIP;
QString ClientStr;
QString ClientPW ;

void *Client_Connect(void *arg)    // 스레드2
{
	FtpClient fcli;
	bool client_init= true;
	pthread_mutex_lock(&c_mutex);
	int cli_return_value=1;
	
	int res;
	while(1)
	{
		qApp->processEvents();
		if(client_init)
		{	
			cli_sock=fcli.Client_Start(ConnectIP.toAscii().data());
			client_init = false;
		}
		cli_return_value=fcli.Run(cli_sock,dir_buffer,ClientStr.toAscii().data(),ClientPW.toAscii().data(),c_mutex);
		qApp->processEvents();
		 
		if(cli_return_value == -2)
			continue;
		
		pthread_mutex_unlock(&c_mutex);  
	}
	pthread_mutex_unlock(&c_mutex);
}

void FTPSetPlugin::ConnectState()
{
	ConnectIP = AddressCombo->currentText();
	ClientStr = FTPUserIDLineEdit->text();
	ClientPW = FTPPWLineEdit->text();
    
	FtpClient fcli;

	int res;
	int res_ui;
	//지금부터 뮤택스 생성
	
	pthread_t client_thread;
	void *thread_result;

	pthread_mutex_init(&c_mutex, 0); // 1. 뮤텍스가 초기화 됨.(UNLOCK 상태, 즉, 수도꼭지 열린 상태)
	if(count == 0)
	{
		qDebug("%d",count);
		WCliConnectButton->setText(kor("연결 끊기"));
		QFile ClientFile("./ClientID.txt");
		if(!ClientFile.open(QIODevice::WriteOnly))
		{
			qWarning("Couldn't Open");
		}

		QTextStream ClientTs(&ClientFile);
		ClientTs << "Connect IP="<< ConnectIP <<endl;
		ClientTs << "Client ID=" << ClientStr << endl;
		ClientTs << "Client PW=" << ClientPW << endl;
		
		res = pthread_create(&client_thread,0, Client_Connect, 0); 
		if( res != 0 )
		{
			perror("Thread creation failed");
			exit(EXIT_FAILURE);
		}
/*		res_ui = pthread_create(&client_thread,0, Client_Ui_Recv, 0); 
		if( res_ui != 0 )
		{
			perror("Thread creation failed");
			exit(EXIT_FAILURE);
		}
*/

		ClientFile.close();
		count = 1;
	/*	
		if(pthread_join(client_thread,&thread_result)!=0)
		{
			perror("Thread join failed");
			exit(EXIT_FAILURE);
		}
*/
		GotoFourthPage();
	} 

	else if(count == 1)
	{
		qDebug("%d",count);	
		WCliConnectButton->setText(kor("연결"));

		cout <<"Waiting for thread to finish..."<<endl;
		pthread_mutex_destroy(&c_mutex);

		count = 0;
	}
}


Q_EXPORT_PLUGIN2(FTPSetPlugin, FTPSetPlugin);
