#include <QPushButton>
#include <QListWidget>
// QPushButton클래스 상속을 한 새로운 버튼 클래스 생성.
//  레이아웃에서 기본으로 설정되어 있는 버튼 크기 조정
class NewPushButton : public QPushButton
{
   Q_OBJECT
     public :
         QSize sizeHint() const
         {
            return QSize(100,100);
         }
     NewPushButton(const QString &text, QWidget* parent = 0) : QPushButton(text, parent)
	{
 	 }
};

class ReSizeListWidget : public QListWidget
{
	Q_OBJECT
	public:
		QSize sizeHint() const
		{
			return QSize(100,1);
		}
		ReSizeListWidget(QWidget* parent = 0) : QListWidget(parent)
	{
	
	}

};
