
#include <qimage.h>
#include <qpixmap.h>
#include "mylineedit.h"
#include <stdlib.h>
#include <string.h>
#include <qwidget.h>
MyLineEdit::MyLineEdit( QWidget *parent)
    : QLineEdit( parent)	
{
	QFont font("unifont",12, QFont::Bold, false);
	this->setFont(font);
	flag = 0;
	numtest = new NumPad(this);	     
}

MyLineEdit::~MyLineEdit()
{
}
void MyLineEdit::mouseReleaseEvent(QMouseEvent*)
{	
	numtest->show();
}
void MyLineEdit::mousePressEvent(QMouseEvent*)
{
	numtest->close();
}
void MyLineEdit::slotMyInsert(const QString& str)
{
	if(str == QString(QChar(0x08)))
		backspace();
	else if(str == QString("left"))
	{	
	   	cursorForward(true,1);
	}
	else
		insert(str);
}
