/*
 	@class MyLinEdit
	@brief 에디트 컨트롤을 선택시 키보드가 선택될 수 
		   있도록 에디트 컨트롤을 재정의 함.
	@date 2009/09/10
	@author 안병기(sixthman23@naver.com)
 */
#ifndef MYLINEEDIT_H
#define MYLINEEDIT_H

#include <qlineedit.h>
#include "numpad.h"
class NumPad;
class MyLineEdit : public QLineEdit
{
    Q_OBJECT

public:
	MyLineEdit( QWidget *parent=0);
	~MyLineEdit();
           QString temp;
	   int flag;
	void	mouseReleaseEvent(QMouseEvent*);
	void	mousePressEvent(QMouseEvent*);
public slots:
	void slotMyInsert(const QString &);
   
private:
	 NumPad *numtest;		 
};

#endif 
