#include "SetBluePlugin.h"

void SetBluePlugin::SetLayoutSender(QStackedLayout *WidgetLayout)
{
	SetBlueLayout = WidgetLayout;
}
void SetBluePlugin::SetButtonLayoutSender(QStackedLayout *ButtonLayout)
{
	SetButtonLayout = ButtonLayout;
}
int SetBluePlugin::BlueSetButton(QVBoxLayout *layout, int widgetvalue)
{
	WidgetValue = widgetvalue;
	BlueSetAddButton = new NewPushButton("Bluetooth Setting");
//	BlueSetAddButton->setFlat(true);
	connect(BlueSetAddButton, SIGNAL(clicked()), this,SLOT(SetBluePage()));
	layout->addWidget(BlueSetAddButton);

	return WidgetValue;
}

void SetBluePlugin::SetBlueWidget(QStackedLayout *layout)
{
	SetLayoutSender(layout);
	
	BlueWidget = new QWidget;
	layout->addWidget(BlueWidget);

	SetBlueVLayout = new QVBoxLayout(BlueWidget);
	SetBlueLabel = new QLabel(kor("Bluetooth 기기"));
	SetBlueVLayout->addWidget(SetBlueLabel);
	SetBlueLabel->setFrameStyle(QFrame::Box | QFrame::Sunken);
	SetBlueLabel->setLineWidth(1);
	SetBlueLabel->setAlignment(Qt::AlignHCenter);
	BlueListWidget = new QListWidget;
	SetBlueVLayout->addWidget(BlueListWidget);

	new QListWidgetItem(QIcon("./image/usb1.png"),"Hong",BlueListWidget);

	QHBoxLayout *BlueButtonLayout = new QHBoxLayout();
	SetBlueVLayout->addLayout(BlueButtonLayout);
	
	NewSearchButton = new QPushButton(kor(" 신규 검색"));
	NewSearchButton->setIcon(QIcon("./image/New.png"));
	NewSearchButton->setFocusPolicy(Qt::NoFocus);    //버튼 포커스 설정
	NewSearchButton->setFlat(true);  //버튼 평면화

	BlueButtonLayout->addWidget(NewSearchButton);
	connect(NewSearchButton, SIGNAL(clicked()), this,SLOT(SetNewBluePage()));

	HavenButton = new QPushButton(kor(" 등록기기 리스트"));
	HavenButton->setIcon(QIcon("./image/Haven.png"));
	HavenButton->setFocusPolicy(Qt::NoFocus);    //버튼 포커스 설정
	HavenButton->setFlat(true);  //버튼 평면화
	BlueButtonLayout->addWidget(HavenButton);
	connect(HavenButton, SIGNAL(clicked()), this,SLOT(RegisterBluePage()));
}
void SetBluePlugin::SetNewBlueWidget(QStackedLayout *layout)
{
	SetLayoutSender(layout);

	NewBlueWidget = new QWidget;
	layout->addWidget(NewBlueWidget);

	SetNewVLayout = new QVBoxLayout(NewBlueWidget);
	NewBlueLabel = new QLabel(kor("검색 중..."));
	
	SetNewVLayout->addWidget(NewBlueLabel);
	NewBlueLabel->setFrameStyle(QFrame::Box | QFrame::Sunken);
	NewBlueLabel->setLineWidth(1);
	NewBlueLabel->setAlignment(Qt::AlignHCenter);
	NewBlueListWidget = new QListWidget;
	SetNewVLayout->addWidget(NewBlueListWidget);
	
	new QListWidgetItem(QIcon("./image/usb1.png"),"Hong",NewBlueListWidget);

	NewBlueInfo = new QLabel(kor("\nBT Address : \n 기기 종류 : \n"));
	SetNewVLayout->addWidget(NewBlueInfo);
	NewBlueInfo->setFrameStyle(QFrame::Box | QFrame::Sunken);
	NewBlueInfo->setLineWidth(1);

}
void SetBluePlugin::RegisterBlueWidget(QStackedLayout *layout)
{
	SetLayoutSender(layout);

	RegisterWidget = new QWidget;
	layout->addWidget(RegisterWidget);

	RegisterVLayout = new QVBoxLayout(RegisterWidget);
	RegisterBlueLabel = new QLabel(kor("등록된 기기 리스트"));
	RegisterVLayout->addWidget(RegisterBlueLabel);
	RegisterBlueLabel->setFrameStyle(QFrame::Box | QFrame::Sunken);
	RegisterBlueLabel->setLineWidth(1);
	RegisterBlueLabel->setAlignment(Qt::AlignHCenter);
		 
    RegisterBlueListWidget = new QListWidget;
	RegisterVLayout->addWidget(RegisterBlueListWidget);
				 
    new QListWidgetItem(QIcon("./image/usb1.png"),"Hong",RegisterBlueListWidget);
	
   	RegisterBlueInfo = new QLabel(kor("\nBT Address : \n 기기 종류 : \n"));
	RegisterVLayout->addWidget(RegisterBlueInfo);
	RegisterBlueInfo->setFrameStyle(QFrame::Box | QFrame::Sunken);
	RegisterBlueInfo->setLineWidth(1);
}
void SetBluePlugin::PinCodeWidget(QStackedLayout *layout)
{
	SetLayoutSender(layout);

	PinWidget = new QWidget;
	layout->addWidget(PinWidget);

	PinVLayout = new QVBoxLayout(PinWidget);
	PinLabel = new QLabel(kor("PIN CODE"));
	PinVLayout->addWidget(PinLabel);
	PinLabel->setFrameStyle(QFrame::Box | QFrame::Sunken);
	PinLabel->setLineWidth(1);
	PinLabel->setAlignment(Qt::AlignHCenter);

	PinEntry = new QLabel("PIN CODE : ");
	PinVLayout->addWidget(PinEntry);

	PinEdit = new QLineEdit;
	PinVLayout->addWidget(PinEdit);
	PinVLayout->addStretch();
}
int SetBluePlugin::SetBluetoothButton(QStackedLayout *Buttonlayout, int buttonvalue)
{
	ButtonLayoutValue = buttonvalue;
	Use4BlueCount = 0;
	SetButtonLayoutSender(Buttonlayout);
		
		BlueButtonWidget = new QWidget;
     	Buttonlayout->addWidget(BlueButtonWidget);
	    QHBoxLayout *Button2HBoxLayout = new QHBoxLayout(BlueButtonWidget);
 	    Button2HBoxLayout->setMargin(0);
        Button2HBoxLayout->setSpacing(0);
  
	    Main = new QPushButton("Main");
    	Main->setIcon(QIcon("./image/Home.png"));
		Main->setFlat(true);  //버튼 평면화
		Main->setFocusPolicy(Qt::NoFocus);    //버튼 포커스 설정
		Button2HBoxLayout->addWidget(Main);
	    connect(Main, SIGNAL(clicked()), this, SLOT(GotoMain()));
	
		SelectButton = new QPushButton(kor("등록"));
		SelectButton->setIcon(QIcon("./image/+.png"));
		SelectButton->setFocusPolicy(Qt::NoFocus);    //버튼 포커스 설정
		SelectButton->setFlat(true);  //버튼 평면화
		Button2HBoxLayout->addWidget(SelectButton);
		SelectButton->setEnabled(false);

		Use4BlueButton = new QPushButton(kor("블루투스사용"));
        Use4BlueButton->setIcon(QIcon("./image/Blue.png"));
		Use4BlueButton->setFocusPolicy(Qt::NoFocus);    //버튼 포커스 설정
		Use4BlueButton->setFlat(true);  //버튼 평면화
		Button2HBoxLayout->addWidget(Use4BlueButton);
      	connect(Use4BlueButton, SIGNAL(clicked()), this,SLOT(Use4Blue()));

		BackButton = new QPushButton(kor("취소"));
		BackButton->setIcon(QIcon("./image/Delete2.png"));
		BackButton->setFocusPolicy(Qt::NoFocus);    //버튼 포커스 설정
		BackButton->setFlat(true);  //버튼 평면화
		Button2HBoxLayout->addWidget(BackButton);
		connect(BackButton, SIGNAL(clicked()), this,SLOT(BackKey()));

		return ButtonLayoutValue;
}

void SetBluePlugin::Use4Blue()
{
	if(Use4BlueCount == 0)
	{
		Use4BlueButton->setText(kor("블루투스중지"));
		Use4BlueButton->setIcon(QIcon("./image/Light.png"));
		SelectButton->setEnabled(true);
		Use4BlueCount = 1;
	}
	else if(Use4BlueCount == 1)
	{
		Use4BlueButton->setText(kor("블루투스사용"));
		Use4BlueButton->setIcon(QIcon("./image/Blue.png"));
		SelectButton->setEnabled(false);
		Use4BlueCount = 0;
	}

}
void SetBluePlugin::SetBlueNewButton(QStackedLayout *Buttonlayout)
{
	  ReSearchCount = 0;
      SetButtonLayoutSender(Buttonlayout);

	  NewButtonWidget = new QWidget;
	  Buttonlayout->addWidget(NewButtonWidget);

	  Button3HBoxLayout = new QHBoxLayout(NewButtonWidget);
	  Button3HBoxLayout->setMargin(0);
	  Button3HBoxLayout->setSpacing(0);
	
	  NewMain = new QPushButton("Main");
	  NewMain->setFlat(true);  //버튼 평면화
	  NewMain->setIcon(QIcon("./image/Home.png"));
	  NewMain->setFocusPolicy(Qt::NoFocus);    //버튼
	  connect(NewMain, SIGNAL(clicked()), this, SLOT(GotoMain()));
	  Button3HBoxLayout->addWidget(NewMain);
	  
	  NewSelectButton = new QPushButton(kor("연결"));
	  NewSelectButton->setIcon(QIcon("./image/Connect.png"));
	  NewSelectButton->setFocusPolicy(Qt::NoFocus);    //버튼 포커스 설정
	  NewSelectButton->setFlat(true);  //버튼 평면화
	  Button3HBoxLayout->addWidget(NewSelectButton);
	  connect(NewSelectButton, SIGNAL(clicked()), this,SLOT(PinCodePage()));	  

	  ReSearchButton = new QPushButton(kor("재검색"));
	  ReSearchButton->setIcon(QIcon("./image/WorkgroupNetwork.png"));
	  ReSearchButton->setFocusPolicy(Qt::NoFocus);    //버튼 포커스 설정
	  ReSearchButton->setFlat(true);  //버튼 평면화

	  Button3HBoxLayout->addWidget(ReSearchButton);
	  connect(ReSearchButton, SIGNAL(clicked()), this,SLOT(ReSearch()));
	  
	  NewBackButton = new QPushButton(kor("취소"));
	  NewBackButton->setIcon(QIcon("./image/Delete2.png"));
	  NewBackButton->setFocusPolicy(Qt::NoFocus);    //버튼 포커스 설정
	  NewBackButton->setFlat(true);  //버튼 평면화
	  Button3HBoxLayout->addWidget(NewBackButton);
	  connect(NewBackButton, SIGNAL(clicked()), this,SLOT(SetBluePage()));
}
void SetBluePlugin::ReSearch()
{
	if(ReSearchCount == 0)
	{
		ReSearchButton->setText(kor("검색중지"));
		ReSearchButton->setIcon(QIcon("./image/Workgroup.png"));
		ReSearchCount = 1;
	}
	else if(ReSearchCount == 1)
	{
		ReSearchButton->setText(kor("재검색"));
		ReSearchButton->setIcon(QIcon("./image/WorkgroupNetwork.png"));
		ReSearchCount = 0;
	}
}

void SetBluePlugin::SetBlueRegisterButton(QStackedLayout *Buttonlayout)
{
	SearchCount = 0;
    SetButtonLayoutSender(Buttonlayout);

	RegisterButtonWidget = new QWidget;
	Buttonlayout->addWidget(RegisterButtonWidget);
	 
	Button4HBoxLayout = new QHBoxLayout(RegisterButtonWidget);
	Button4HBoxLayout->setMargin(0);
	Button4HBoxLayout->setSpacing(0);
		 
	RegisterMain = new QPushButton("Main");
	RegisterMain->setIcon(QIcon("./image/Home.png"));
    RegisterMain->setFlat(true);  //버튼 평면화
	RegisterMain->setFocusPolicy(Qt::NoFocus);    //버튼 포커스 설정
	Button4HBoxLayout->addWidget(RegisterMain);
	connect(RegisterMain, SIGNAL(clicked()), this, SLOT(GotoMain()));
	
	RegisterConnectButton = new QPushButton(kor("연결"));
	RegisterConnectButton->setIcon(QIcon("./image/Connect.png"));
	RegisterConnectButton->setFocusPolicy(Qt::NoFocus);    //버튼 포커스 설정
	RegisterConnectButton->setFlat(true);  //버튼 평면화
	Button4HBoxLayout->addWidget(RegisterConnectButton);
	
	RegisterCancelButton = new QPushButton(kor("신규검색"));
	RegisterCancelButton->setFlat(true);  //버튼 평면화
	RegisterCancelButton->setFocusPolicy(Qt::NoFocus);    //버튼 포커스 설정
	RegisterCancelButton->setIcon(QIcon("./image/New.png"));
	Button4HBoxLayout->addWidget(RegisterCancelButton);
	connect(RegisterCancelButton, SIGNAL(clicked()), this,SLOT(NewSearch()));
	
	RegisterBackButton = new QPushButton(kor("취소"));
	RegisterBackButton->setIcon(QIcon("./image/Delete2.png"));
	RegisterBackButton->setFocusPolicy(Qt::NoFocus);    //버튼 포커스 설정
	RegisterBackButton->setFlat(true);  //버튼 평면화
	Button4HBoxLayout->addWidget(RegisterBackButton);
	connect(RegisterBackButton, SIGNAL(clicked()), this,SLOT(SetBluePage()));
}
void SetBluePlugin::NewSearch()
{
	if(SearchCount == 0)
	{
		RegisterCancelButton->setText(kor("검색중지"));	
		RegisterCancelButton->setIcon(QIcon("./image/Wrong.png"));
		SearchCount = 1;
	}
	else if(SearchCount == 1)
	{
		RegisterCancelButton->setText(kor("신규검색"));
		RegisterCancelButton->setIcon(QIcon("./image/New.png"));
		SearchCount = 0;
	}
}

void SetBluePlugin::SetBluePinButton(QStackedLayout *Buttonlayout)
{
	SetButtonLayoutSender(Buttonlayout);
	
	PinButtonWidget = new QWidget;
	Buttonlayout->addWidget(PinButtonWidget);
	
    Pin4HBoxLayout = new QHBoxLayout(PinButtonWidget);
	Pin4HBoxLayout->setMargin(0);
	Pin4HBoxLayout->setSpacing(0);
		
	PinMain = new QPushButton("Main");
	PinMain->setIcon(QIcon("./image/Home.png"));
	PinMain->setFlat(true);  //버튼 평면화
	PinMain->setFocusPolicy(Qt::NoFocus);    //버튼 포커스 설정
	Pin4HBoxLayout->addWidget(PinMain);
	connect(PinMain, SIGNAL(clicked()), this, SLOT(GotoMain()));
	
	PinCancelButton = new QPushButton(kor("연결"));
	PinCancelButton->setIcon(QIcon("./image/Connect.png"));
	PinCancelButton->setFocusPolicy(Qt::NoFocus);    //버튼 포커스 설정
	PinCancelButton->setFlat(true);  //버튼 평면화
	Pin4HBoxLayout->addWidget(PinCancelButton);
	
	PinBackButton = new QPushButton(kor("취소"));
	PinBackButton->setIcon(QIcon("./image/Delete2.png"));
	PinBackButton->setFocusPolicy(Qt::NoFocus);    //버튼 포커스 설정
	PinBackButton->setFlat(true);  //버튼 평면화
	Pin4HBoxLayout->addWidget(PinBackButton);
	connect(PinBackButton, SIGNAL(clicked()), this,SLOT(SetBluePage()));

}
void SetBluePlugin::SetBluePage()
{
	SetBlueLayout->setCurrentIndex(WidgetValue);
	SetButtonLayout->setCurrentIndex(ButtonLayoutValue);
}
void SetBluePlugin::SetNewBluePage()
{
 	SetBlueLayout->setCurrentIndex(WidgetValue+1);
	SetButtonLayout->setCurrentIndex(ButtonLayoutValue+1);
}
void SetBluePlugin::RegisterBluePage()
{
	SetBlueLayout->setCurrentIndex(WidgetValue+2);
	SetButtonLayout->setCurrentIndex(ButtonLayoutValue+2);
}
void SetBluePlugin::PinCodePage()
{
    SetBlueLayout->setCurrentIndex(WidgetValue+3);
    SetButtonLayout->setCurrentIndex(ButtonLayoutValue+3);
}   
void SetBluePlugin::GotoMain()
{
	SetBlueLayout->setCurrentIndex(MainFirstWidget);
	SetButtonLayout->setCurrentIndex(SetMainButton);
}
void SetBluePlugin::BackKey()
{
	SetBlueLayout->setCurrentIndex(MainSecondWidget);
	SetButtonLayout->setCurrentIndex(SetMainButton);
}

Q_EXPORT_PLUGIN2(SetBluePlugin, SetBluePlugin);


