/**
		@file 	client_handler.cpp
		@date	2009/08/24	
		@author	최영업(cyu0070@naver.com) Terapi
		@brief	client에서 사용될 명령어 처리부분
*/

#include "client_handler.h"


void itoa(int value, char* str, int base); 
void str_reverse(char* begin, char* end);
unsigned char *get_my_ip(int sock); 
int data_port = 9999;
char* make_portdata(int sock)
{
	FtpCommand fc;
	unsigned char* temp_ip=get_my_ip(sock); // 자신의 ip 정보를 얻어온다.

	char* Send_Request = new char[1024];
	char a1[4],a2[4],a3[4],a4[4];

	itoa(temp_ip[0],a1,10);
	itoa(temp_ip[1],a2,10);
	itoa(temp_ip[2],a3,10);
	itoa(temp_ip[3],a4,10);


	char my_ip_addr[16];
	sprintf(my_ip_addr,"%s,%s,%s,%s,",a1,a2,a3,a4);
	printf("\n");

	memset (Send_Request,0,sizeof(Send_Request));


	int cnt=0;
	int cur_ary_cnt=0;

	// PORT 저장
	for( cnt=0; cnt < strlen(fc.request[3])+1 ; cnt++)
		Send_Request[cnt] = fc.request[3][cnt];

	cur_ary_cnt += strlen(fc.request[3]+1)+1;

	//변경된 아이피정보를 Send_Request 배열에 저장
	for(int a=0, cnt =  strlen(fc.request[3]); a < strlen(fc.request[3])+1+strlen(my_ip_addr)+2 ; cnt++,a++)
		Send_Request[cnt] = my_ip_addr[a];

	cur_ary_cnt+=strlen(my_ip_addr);
	//dataport할당
	int p1,p2;		//p1 은 몫 , p2 는 나머지.

	p1 = data_port/256;
	p2 = data_port%256;

	//p1과 p2 값은 int 값이다 그러기에 char형태로 변경
	char a_p1[4];
	char a_p2[4];
	itoa(p1,a_p1,10);
	itoa(p2,a_p2,10);

	for(int i=0 , cnt = cur_ary_cnt; i<strlen(a_p1)+1 ;i++,cnt++)
		Send_Request[cnt] = a_p1[i];

	cur_ary_cnt += strlen(a_p1);
	Send_Request[cur_ary_cnt] = ','; 

	for(int i=0 , cnt = cur_ary_cnt+1; i<strlen(a_p2)+1 ;i++,cnt++)
		Send_Request[cnt] = a_p2[i];

	cur_ary_cnt += strlen(a_p2)+1;

//	Send_Request[cur_ary_cnt++] = '\r'; 
//	Send_Request[cur_ary_cnt++] = '\n';
	Send_Request[cur_ary_cnt++] = '\0';

	return Send_Request;
}

void str_reverse(char* begin, char* end) 
{
	char aux;
	while(end>begin)
		aux=*end, *end--=*begin, *begin++=aux;
}

void itoa(int value, char* str, int base) 
{
	static char num[] = "0123456789abcdefghijklmnopqrstuvwxyz";
	char* wstr=str;
	int sign;
	if (base<2 || base>35)
	{ 
		*wstr='\0'; 
		return; 
	}
	if ((sign=value) < 0) 
		value = -value;
	do 
		*wstr++ = num[value%base]; 
	while(value/=base);

	if(sign<0) 
		*wstr++='-';
	*wstr='\0';
	str_reverse(str,wstr-1);
}

unsigned char *get_my_ip(int sock) 
{
	static unsigned char myip[4];
	struct sockaddr_in sa;
	int size;

	size=sizeof(struct sockaddr_in);
	memset(myip,0,sizeof(myip));
	if (getsockname(sock, (struct sockaddr *)&sa, (socklen_t*)&size)==0) 
		memcpy(myip,&sa.sin_addr,sizeof(myip));

	return myip;
}

int Handler::do_user(int sock,char *param)
{
	Handler hn;
	FtpCommand fc;
	Receiver rcv;
	
	char* request = new char[20];
	char read_msg[1024];
	int str_len;

	memset (request,0,20);
	memset (read_msg,0,1024);

	if (strlen(param)<1) 
	{
		//hn.handle_suspects();
		return -1;
	}

	if (!strcmp(param,"ftp"))
	{
		strcpy(param,"anonymous");
	}

	request=strncat(fc.request[8],param,strlen(param));
	request=strncat(request,"\r\n",strlen("\r\n"));
	write(sock,request,strlen(request));	

	sleep(1);
	rcv.receiver_msg(sock);
//	delete [] request;
	return 0;
}

int Handler::do_pass(int sock,char *param)
{
	FtpCommand fc;
	Handler hn;
	Receiver rcv;

	char *request = new char[20];

	memset (request,0,20);

	if (strlen(param)<1) 
	{
		//hn.handle_suspects();
		return -1;
	}

	request=strncat(fc.request[9],param,strlen(param));
	request=strncat(request,"\r\n",strlen("\r\n"));
//	request=strncat(request,"\0",strlen("\0"));
	write(sock,request,strlen(request));

	
	cout << "write passwd"<<endl;

	rcv.receiver_msg(sock);
	
	sleep(1);	
//	delete [] request;
//	fflush(stdout);
	return 0;
}
int Handler::do_rename(int sock)
{
	Receiver rcv;

	char* from_name = new char[1024];
	char* to_name = new char[1024];

	char* from_Request = new char[1024];
	char* to_Request = new char[1024];
	memset(from_name ,0,1024);
	memset(to_name ,0,1024);

	memset(from_Request ,0,1024);
	memset(to_Request ,0,1024);
	cout << "(from_name): ";
	cin >> from_name;
	cout << "(to_name): ";
	cin >> to_name;


	from_Request = strcat(from_Request,"RNFR ");
	from_Request = strcat(from_Request,from_name);
	from_Request = strcat(from_Request,"\r\n");
	write(sock,from_Request,strlen(from_Request));	

	char read_msg[1024];

	rcv.receiver_msg(sock);

	int read_num=0;
	read_num=atoi(read_msg);

	if(read_num == 350)
	{
		to_Request = strcat(to_Request,"RNTO ");
		to_Request = strcat(to_Request,to_name);
		to_Request = strcat(to_Request,"\r\n");
		write(sock,to_Request,strlen(to_Request));	

		rcv.receiver_msg(sock);
		delete []from_Request;
		delete []to_Request;
		delete []from_name;
		delete []to_name;
	}
	else		//550일 가능성이 크다
	{
		delete []from_Request;
		delete []to_Request;
		delete []from_name;
		delete []to_name;

		exit(1);
	}
}





/*struct Dir_Info_arr*/ int Handler::do_dir(int sock,char* dir_buffer,int rc,pthread_mutex_t cmutex)
{


		ClientManager cm;
	Receiver rcv;
	FtpCommand fc;
    
	//emit Send_Dir();
	
	char* Send_Request = new char[1024];
	char read_msg[1024];
	char dir_msg[1024];
	char msg[7168];
	memset(msg,0,7168);
	int str_len;

	int accept_Socket=0;
	int dir_sock=0;

	struct sockaddr_in sa;
	int i,n,addr;
	int j=0,k=0;
	unsigned int sock_size;

	fd_set fds;
	struct timeval tv;


	
	data_port++;

	memset (Send_Request,0,1024);
	memset (read_msg,0,1024);
	memset (dir_msg,0,1024);

	if ((dir_sock=socket(PF_INET,SOCK_STREAM,0))==INVALID_SOCKET) 
	{
		i=(int)errno;
		//		if(Conf::sDaemonMode)
		cout<<"Error: could not create server socket"<<( i ) << endl;
		exit(1);
	}
	
	bzero(&sa,sizeof(sa));
	i=1;
	sock_size=sizeof(struct sockaddr_in);
	memset(&sa,0,sock_size);

	sa.sin_family=PF_INET;
	sa.sin_addr.s_addr=htonl(INADDR_ANY);
	sa.sin_port=htons(data_port);
	addr=INADDR_ANY;
	memcpy(&sa.sin_addr.s_addr,&addr,sizeof(int));

	Send_Request = make_portdata(sock);
	write(sock,Send_Request,strlen(Send_Request)+1);	
	//PORT의 정보를 넘기는 부분
	//200
	rcv.receiver_msg(sock);

	sleep(1);
	

	char* list_Request = new char[1024];
	memset(list_Request,0,1024);

	list_Request = strcat(list_Request,"LIST");
	list_Request = strcat(list_Request,"\r\n");
	write(sock,list_Request,strlen(list_Request));	
	delete [] list_Request;

	
	if (setsockopt(dir_sock,SOL_SOCKET,SO_REUSEADDR,(void *)&i,sizeof(i))<0)
		cout << "setsockopt failed."<<endl;
	
	if (bind(dir_sock,(struct sockaddr *)&sa,sock_size)<0) 
	{
		cout << "Error: bind failed." << endl;
		cout << "       port"<<" already in use ?"<<endl;
		exit(1);
	}

	if (listen(dir_sock,5)<0) 
	{
		cout << "Error: listen failed."<<endl;
		exit(1);
	}

	str_len=read(sock, read_msg, sizeof(read_msg));

	if(str_len == -1)
		cout<< "read() error!" <<endl;
	read_msg[str_len]=0;
	cout << "[150] "<<read_msg << endl;

	int classification_char=0;

	for(int i=0; i<strlen(read_msg)+1 ; i++)
	{
		if(read_msg[i-1]==13 && read_msg[i]==10)
			classification_char++;
	}
	if((accept_Socket = accept(dir_sock,(struct sockaddr *)&sa,&sock_size)) < 0)
	{
		cm.out_prompt();
		cout <<" accept error" << endl;
	}
	sleep(1);

	while (1) 
	{
		FD_ZERO(&fds);
		FD_SET(accept_Socket,&fds);
		tv.tv_sec=60;
		tv.tv_usec=0;
		if (select(accept_Socket+1,&fds,NULL,NULL,&tv)<=0) 
		{
			::close(accept_Socket);
			break;
		}
		if (FD_ISSET(accept_Socket,&fds)) 
		{
			
			n=read(accept_Socket , dir_msg, sizeof(dir_msg));
	

			cout <<"size "<<strlen(dir_msg) << endl;
	
			if (n<=0) 
			{
				break; 
			}
				

			else
			{
				strcat(dir_msg,"&\0");
				dir_msg[strlen(dir_msg)+2] ='\0';
				for(int i=1024; i>0;i--)
				{
					if	((dir_msg[i] ==' ') && (dir_msg[i+1] =='1') && ( dir_msg[i+2] =='5') &&  ( dir_msg[i+3] =='0') )
					{
						cout <<"=============="<<i<<endl;
						for(int j=i+1;j<1400;j++)
						{
							dir_msg[j] ='\0';
						}
					}

				}
				for(int i=0; i<1024;i++)
				{
					cout <<dir_msg[i];
				}
				emit Send_Dir(QString(dir_msg));	
			}

		}
		memset(dir_msg,0,1024);
	}

	::close (dir_sock);
	::close (accept_Socket); 
	if(classification_char !=2)
		rcv.receiver_msg(sock);
	delete []Send_Request;
	return 0;

}
int  Handler::do_ls(int sock,int rc)
{
	cout <<sock<<endl;
	cout <<rc<<endl;
	return sock;
}
void Handler::do_pwd(int sock,int rc)
{
	Receiver rcv;
	FtpCommand fc;
	write(sock,fc.command[rc],strlen(fc.command[rc])+1);
	rcv.receiver_msg(sock);
	fflush(stdout);
}

void Handler::do_ascii(int sock,int rc)
{
	FtpCommand fc;
	Receiver rcv;
	write(sock,fc.command[rc],strlen(fc.command[rc])+1);	
	rcv.receiver_msg(sock);
}

void Handler::do_help(void)
{
	cout<<	"!\tdebug\t\tmdir\t\tqc\t\tsend "<<endl; 
	cout<<	"$\tdir\t\tmget\t\tsendport\tsite"<<endl;
	cout<<	"account\tdisconnect\tmkdir\t\tput\t\tsize"<<endl;
	cout<<	"append\texit\t\tmls\t\tpwd\t\tstatus"<<endl;
	cout<<	"ascii\tform\t\tmode\t\tquit\t\tstruct"<<endl;
	cout<<	"bell\tget\t\tmodtime\t\tquote\t\tsystem"<<endl;
	cout<<	"binary\tglob\t\tmput\t\tretrecv\t\tsunique"<<endl;
	cout<<	"bye\thash\t\tnewer\t\treget\t\ttenex"<<endl;
	cout<<	"case\thelp\t\tnmap\t\trstatus\t\ttick"<<endl;
	cout<<	"cd\tidle\t\tnlist\t\trhelp\t\ttrace"<<endl;
	cout<<	"cdup\timage\t\tntrans\t\trename\t\ttype"<<endl;
	cout<<	"chmod\tlcd\t\topen\t\treset\t\tuser"<<endl;
	cout<<	"::close\tls\t\tprompt\t\trestart\t\tumask"<<endl;
	cout<<	"cr\tmacdef\t\tpassive\t\trmdir\t\tverbose"<<endl;
	cout<<	"delete\tmdelete\t\tproxy\t\trunique\t\t?"<<endl;
}
void Handler::do_quit(int sock,int rc)
{
	Receiver rcv;
	write(sock,"QUIT\r\n",strlen("QUIT\r\n"));
	rcv.receiver_msg(sock);
	/**성공적인 명령어를 받았을시에 란 if 문추가 **/
	::close(sock);
	fflush(stdout);
	exit(1);
}
int Handler::do_mkdir(int sock, char *param)
{
	Receiver rcv;
	char* cd_Request = new char[1024];
	memset(cd_Request,0,1024);


	cd_Request = strcat(cd_Request,"MKD ");
	cd_Request = strcat(cd_Request,param);
	cd_Request = strcat(cd_Request,"\r\n");

	write(sock,cd_Request,strlen(cd_Request));	
	
	rcv.receiver_msg(sock);	
	delete []cd_Request;
	return 0;

}
int Handler::do_delete(int sock, char *param)
{

	Receiver rcv;
	char* cd_Request = new char[1024];
	memset(cd_Request,0,1024);

	cd_Request = strcat(cd_Request,"DELE ");
	cd_Request = strcat(cd_Request,param);
	cd_Request = strcat(cd_Request,"\r\n");

	write(sock,cd_Request,strlen(cd_Request));	
	rcv.receiver_msg(sock);	

	delete []cd_Request;
	return 0;

}
int Handler::do_rmdir(int sock, char *param)
{
	Receiver rcv;
	char* cd_Request = new char[1024];
	memset(cd_Request,0,1024);

	cd_Request = strcat(cd_Request,"RMD ");
	cd_Request = strcat(cd_Request,param);
	cd_Request = strcat(cd_Request,"\r\n");
	write(sock,cd_Request,strlen(cd_Request));	
	rcv.receiver_msg(sock);	
	delete []cd_Request;
	fflush(stdout);
	return 0;

}

int Handler::do_cd(int sock, char *param,int rc)
{

	Receiver rcv;
	char* cd_Request = new char[1024];
	memset(cd_Request,0,1024);

	cd_Request = strcat(cd_Request,"CWD ");
	cd_Request = strcat(cd_Request,param);
	cd_Request = strcat(cd_Request,"\r\n");

	write(sock,cd_Request,strlen(cd_Request));	
	rcv.receiver_msg(sock);	
	delete []cd_Request;
	return 0;
}

int Handler::do_size(int sock, char *param)
{
	Receiver rcv;
	bool file_existence=false;
	
	char File_size[1024];
	char* read_msg=new char[1024];
	char* cd_Request = new char[1024];

	memset(cd_Request,0,1024);
	memset(read_msg,0,1024);

	cd_Request = strcat(cd_Request,"SIZE ");
	cd_Request = strcat(cd_Request,param);
	cd_Request = strcat(cd_Request,"\0");

	write(sock,cd_Request,strlen(cd_Request)+1);	
	
	read_msg = rcv.size_receiver_msg(sock);

	// size [filename]를 write시에 request_msg는 둘중 하나를 호출하게된다.
	// 213 [filesize] or 550 File not found
	// 500 번대 request 문장을 판별하여서 이어받기를 할것인지 말것인지를 
	// 판별하게 된다.

	if(	atoi(read_msg) > 500 )
	{
		file_existence =0;
		cout << "[size] 해당측에 파일 존재 하지 않음"<<endl;
	}
	
	else
	{
		file_existence =1;
		cout << "[size] 해당측에 파일 존재함 "<<endl;

		int i,j;
		for(i=4,j=0; read_msg[i]!=0 ;i++,j++)
		{
	//		cout <<i<<" "<<read_msg[i]<<endl;
			File_size[j]=read_msg[i];
		}

		File_size[j]=0;
		cout <<"read_msg file_size "<<File_size<<endl;	

		return atoi(File_size);

		//파일이 존재하면 파일 크기를 리턴한다.
	}

	cout <<"file_existence "<<file_existence <<endl;
	fflush(stdout);

	return file_existence;
}
int get_file_size(char* param, char* real_path)
{
	struct stat buf;
	char *path = new char[1024];
	memset(path,0,1024);
	strcat(path,real_path);

	path = strcat(path,param);

	struct stat s;
	int file_size =lstat(path, &s);

	if(file_size == -1)//없으면 0
	{
		return file_size;
	}
	else
	{
		return s.st_size;
	}
}
int Handler::do_mdtm(int sock, char *param)///< 파일의 마지막 변경시간 출력
{

	Receiver rcv;
	char* cd_Request = new char[1024];
	memset(cd_Request,0,1024);

	cd_Request = strcat(cd_Request,"MDTM ");
	cd_Request = strcat(cd_Request,param);
	cd_Request = strcat(cd_Request,"\0");

	write(sock,cd_Request,strlen(cd_Request)+1);	

	rcv.receiver_msg(sock);	

	fflush(stdout);
	return 0;
}

int file_trans_method()
{
	int i=0;
	cout <<"Resume     0" <<endl;
	cout <<"namechange 1" <<endl;
	cout <<"cancel     2" <<endl;
	cin  >> i;
	return i;
}

int Handler::do_put(int sock,char *param, char *real_path ,pthread_mutex_t cmutex) // 파일 다운로드
{
	ClientManager cm;
	Receiver rcv;
	Handler hn;

	char* Send_Request = new char[1024];
	char read_msg[1024];

	bool error_flag = false;
	int accept_Socket=0;
	int put_sock=0;

	struct sockaddr_in sa;
	int i,n,addr;
	unsigned int sock_size;
	fd_set fds;
	struct timeval tv;

	data_port++;

	memset (Send_Request,0,1024);
	memset (read_msg,0,1024);


	if ((put_sock=socket(PF_INET,SOCK_STREAM,0))==INVALID_SOCKET) 
	{
		i=(int)errno;
		cout<<"Error: could not create server socket"<<( i ) << endl;
		exit(1);
	}
	
	bzero(&sa,sizeof(sa));
	i=1;
	sock_size=sizeof(struct sockaddr_in);
	memset(&sa,0,sock_size);

	sa.sin_family=PF_INET;
	sa.sin_addr.s_addr=htonl(INADDR_ANY);
	sa.sin_port=htons(data_port);
	addr=INADDR_ANY;
	memcpy(&sa.sin_addr.s_addr,&addr,sizeof(int));


	Send_Request = make_portdata(sock);
	write(sock,Send_Request,strlen(Send_Request)+1);
	rcv.receiver_msg(sock);
	sleep(1);



	int file_existence=hn.do_size(sock, param);

	int flag_file_type=0;
	//경우가 3가지 있습니다
	//서버에 파일이 없는경우	  	=> 바로    보내기		_1
	//서버에 파일이 있는경우 		=> 이어    보내기		_2
	//								=> 이름변경보내기		_3
	//
	//

	int exist_file_size;
	

	if(file_existence)		//파일이 존재시에.........
	{
		hn.do_mdtm(sock,param);
		cout << "[handle] 서버에 파일 존재 함"<<endl;
		int tran_method = file_trans_method();
		if(tran_method == 0)  //이어받기
		{
			char* rest_request = new char[1024];
			memset(rest_request,0,1024);


			char* a_p1 = new char[20];
			memset(a_p1,0,20);

			itoa(exist_file_size,a_p1,10);

			rest_request = strcat(rest_request,"REST ");
			rest_request = strcat(rest_request,a_p1);
			rest_request = strcat(rest_request,"\r\n");

			cout << " rest_request : "<<rest_request << endl;
			write(sock,rest_request,strlen(rest_request));
			rcv.receiver_msg(sock);
			flag_file_type =2;
		}
		else if	(tran_method == 1 )	//이름변경
		{
			flag_file_type = 3;
		}
		else
			return 0;
	}
	else
	{
		flag_file_type =1;	//바로 보내기
		cout << "[handle] 서버에 파일 존재 안함"<<endl;

	}

	char* stor_Request = new char[1024];
	memset(stor_Request,0,1024);

	stor_Request = strcat(stor_Request,"STOR ");
	stor_Request = strcat(stor_Request,param);
	stor_Request = strcat(stor_Request,"\r\n");
	write(sock,stor_Request,strlen(stor_Request));	




	if (setsockopt(put_sock,SOL_SOCKET,SO_REUSEADDR,(void *)&i,sizeof(i))<0)
		cout << "setsockopt failed."<<endl;
	
	if (bind(put_sock,(struct sockaddr *)&sa,sock_size)<0) 
	{
		cout << "Error: bind failed." << endl;
		cout << "       port"<<" already in use ?"<<endl;
		exit(1);
	}

	if (listen(put_sock,5)<0) 
	{
		cout << "Error: listen failed."<<endl;
		exit(1);
	}

		rcv.receiver_msg(sock);
	
	cout <<"[accept start]" << endl;
	cout << "put_sock "<<put_sock<<endl;
	int classification_char=0;

	for(int i=0; i<strlen(read_msg)+1 ; i++)
	{
		if(read_msg[i-1]==13 && read_msg[i]==10)
			classification_char++;
	}


	if((accept_Socket = accept(put_sock,(struct sockaddr *)&sa,&sock_size)) < 0)
	{
		cm.out_prompt();
		cout <<" accept error" << endl;
	}
//	sleep(1);


	cout <<"[accept end  ] accept_Socket "<<accept_Socket<<endl;
	cout << "[150] "<<read_msg << endl;
	
	char* Read_path = new char[1024];
	memset(Read_path,0,1024);
	Read_path = strcat(Read_path,real_path);
	Read_path = strcat(Read_path,param);

	FILE *put_fp;



	if(flag_file_type ==1)
	{
		if ((put_fp=fopen(Read_path,"r"))==NULL) ///< 저장 시킬 값을 저장 
		{
			::close(accept_Socket);
			::close (put_sock);
			delete []Read_path;
			delete []Send_Request;

			rcv.receiver_msg(sock);
			return 1;
		}
	}
	
	else if(flag_file_type ==2)//이어받기
	{
		if ((put_fp=fopen(Read_path,"ab+"))==NULL) ///< 저장 시킬 값을 저장 
		{
			::close(accept_Socket);
			return 1;
		}
		fseek(put_fp,file_existence,SEEK_END);
	}
	else if(flag_file_type ==3)//이름변경
	{
		if ((put_fp=fopen(Read_path,"r+"))==NULL) ///< 저장 시킬 값을 저장 
		{
			::close(accept_Socket);
			return 1;
		}
	}



	unsigned long bytestot,bytesnow,byteslast;


	
	fseek(put_fp,file_existence,SEEK_SET);

	int a=0;
	pthread_mutex_lock(&cmutex);  
	while ((n=fread(Read_path,1,sizeof(Read_path),put_fp))>0) 
	{

		do {
			FD_ZERO(&fds);
			FD_SET(accept_Socket,&fds);
			tv.tv_sec=60;
			tv.tv_usec=0;

			if (select(accept_Socket+1,NULL,&fds,NULL,&tv)<=0) 
			{
				fclose(put_fp);
				::close(accept_Socket);
				return -1;
				cout <<"error 2"<<endl;
				if(error_flag == false)
				{

					fclose(put_fp);
					::close(accept_Socket);
					::close(put_sock);
					//					delete [] Save_path;
					//					delete [] Send_Request;

					delete []stor_Request;
					delete []Read_path;
					delete []Send_Request;

					error_flag = true;
					fflush (stdout);

					pthread_mutex_unlock(&cmutex);  

					sleep(1);
					cout <<"[[ FILE TRANSFER FINISH ]]"<<endl;

				}
				return 0;
			}
		} while (!FD_ISSET(accept_Socket,&fds));

		write(accept_Socket,Read_path,n);

		bytesnow+=n;
	}
	pthread_mutex_unlock(&cmutex);  

	cout <<"[[ FILE TRANSFER FINISH ]]"<<endl;
	//cout <<"파일교환끝"<<endl;
	fclose(put_fp);



	::close (put_sock);
	::close (accept_Socket);
//	if(classification_char !=2)
		rcv.receiver_msg(sock);

	delete []stor_Request;
	delete []Read_path;
	delete []Send_Request;
	return 0;

}


int Handler::do_get(int sock,char *param, char* real_path ,pthread_mutex_t cmutex) // 파일 다운로드
{
	ClientManager cm;
	Receiver rcv;
	Handler hn;

	char* Send_Request = new char[1024];
	char read_msg[1024];
	int str_len;

	bool error_flag = false;
	int accept_Socket=0;
	int get_sock=0;

	struct sockaddr_in sa;
	int i,n,addr;
	unsigned int sock_size;
	fd_set fds;
	struct timeval tv;

	FILE *get_fp;
	data_port++;

	memset (Send_Request,0,1024);
	memset (read_msg,0,1024);

	if ((get_sock=socket(PF_INET,SOCK_STREAM,0))==INVALID_SOCKET) 
	{
		i=(int)errno;
		cout<<"Error: could not create server socket"<<( i ) << endl;
		exit(1);
	}




	bzero(&sa,sizeof(sa));
	i=1;
	sock_size=sizeof(struct sockaddr_in);
	memset(&sa,0,sock_size);

	sa.sin_family=PF_INET;
	sa.sin_addr.s_addr=htonl(INADDR_ANY);
	sa.sin_port=htons(data_port);
	addr=INADDR_ANY;
	memcpy(&sa.sin_addr.s_addr,&addr,sizeof(int));



	Send_Request = make_portdata(sock);
	write(sock,Send_Request,strlen(Send_Request));
	rcv.receiver_msg(sock);
	sleep(1);

	
	int	exist_file_size=get_file_size(param,real_path);

	int flag_file_type;		
	//경우가 3가지 있습니다
	//파일이 없는경우	  	=> 바로받기	_1
	//파일이 있는경우 		=> 이어받기	_2
	//						=> 이름변경	_3
	//



	if(exist_file_size == -1)//파일이 존재하지 않을시에
	{	

		char* REST_Request = new char[1024];
		memset(REST_Request,0,1024);

		REST_Request = strcat(REST_Request,"REST 0");
		REST_Request = strcat(REST_Request,"\r\n");
		write(sock,REST_Request,strlen(REST_Request));
		rcv.receiver_msg(sock);
		flag_file_type =1;

	}
	else//존재시에.......
	{
		
		int tran_method = file_trans_method();

		if(tran_method == 0)  //이어받기
		{
			char* rest_request = new char[1024];
			memset(rest_request,0,1024);


			char* a_p1 = new char[20];
			memset(a_p1,0,20);

			itoa(exist_file_size,a_p1,10);

			rest_request = strcat(rest_request,"REST ");
			rest_request = strcat(rest_request,a_p1);
			rest_request = strcat(rest_request,"\r\n");

			cout << " rest_request : "<<rest_request << endl;
			write(sock,rest_request,strlen(rest_request));
			rcv.receiver_msg(sock);
			flag_file_type =2;
		}
		else if	(tran_method == 1 )	//이름변경
		{
			flag_file_type = 3;
		}
		else
			return 0;
	}


	char* list_Request = new char[1024];
	memset(list_Request,0,1024);

	list_Request = strcat(list_Request,"RETR ");
	list_Request = strcat(list_Request,param);
	list_Request = strcat(list_Request,"\r\n");
	write(sock,list_Request,strlen(list_Request));	
	


	if (setsockopt(get_sock,SOL_SOCKET,SO_REUSEADDR,(void *)&i,sizeof(i))<0)
		cout << "setsockopt failed."<<endl;
	
	if (bind(get_sock,(struct sockaddr *)&sa,sock_size)<0) 
	{
		cout << "Error: bind failed." << endl;
		cout << "       port"<<" already in use ?"<<endl;
		exit(1);
	}

	if (listen(get_sock,5)<0) 
	{
		cout << "Error: listen failed."<<endl;
		exit(1);
	}

	rcv.receiver_msg(sock);
	int classification_char=0;

	for(int i=0; i<strlen(read_msg)+1 ; i++)
	{
		if(read_msg[i-1]==13 && read_msg[i]==10)
			classification_char++;
	}


	if((accept_Socket = accept(get_sock,(struct sockaddr *)&sa,&sock_size)) < 0)
	{
		cm.out_prompt();
		cout <<" accept error" << endl;
	}

	if (flag_file_type == 3)
	{
			cout << "cur_filename : " <<param<<endl;
			cout << "new_filename : ";
			cin  >> param;
	}


	cout <<"[accept end  ] accept_Socket "<<accept_Socket<<endl;




	char* Save_path = new char[1024];
	memset(Save_path,0,1024);
	Save_path = strcat(Save_path,real_path);
	Save_path = strcat(Save_path,param);


	if(flag_file_type ==1)
	{
		if ((get_fp=fopen(Save_path,"w"))==NULL) ///< 저장 시킬 값을 저장 
		{
			::close(accept_Socket);
			return 1;
		}
	}
	else if(flag_file_type ==2)//이어받기
	{
		if ((get_fp=fopen(Save_path,"ab+"))==NULL) ///< 저장 시킬 값을 저장 
		{
			::close(accept_Socket);
			return 1;
		}
		fseek(get_fp,0,SEEK_END);
	}
	else if(flag_file_type ==3)//이름변경
	{
		if ((get_fp=fopen(Save_path,"w+"))==NULL) ///< 저장 시킬 값을 저장 
		{
			::close(accept_Socket);
			return 1;
		}
	}
	pthread_mutex_lock(&cmutex);  
			cout <<"error 1 "<<endl;
	while (1) 
	{
		FD_ZERO(&fds);
		FD_SET(accept_Socket,&fds);

		tv.tv_sec=20;
		tv.tv_usec=0;
		//read
		if (select(accept_Socket+1,&fds,NULL,NULL,&tv)<=0) 
		{
			cout <<"error 2"<<endl;
			if(error_flag == false)
			{

				fclose(get_fp);
				::close(accept_Socket);
				::close(get_sock);
				delete [] Save_path;
				delete [] Send_Request;
				error_flag = true;
				fflush (stdout);

				pthread_mutex_unlock(&cmutex);  

				sleep(1);
				cout <<"[[ FILE TRANSFER FINISH ]]"<<endl;

			}
			return 0;

		}

		if (FD_ISSET(accept_Socket,&fds)) 
		{
			n=read(accept_Socket, read_msg, sizeof(read_msg)); 

			if (n<0) 
			{
				cout <<"error 3"<<endl;
				break; // client closed con, file complete ? should be ! 
			}
			else if( n ==0)
			{
				cout << "n == 0"<<endl;
				
				fclose(get_fp);
				::close(accept_Socket);
				::close(get_sock);
				delete [] Save_path;
				delete [] Send_Request;
				error_flag = true;
				fflush (stdout);

				pthread_mutex_unlock(&cmutex);  

				sleep(1);

				return 0;

			}
			else
			{
				fwrite(read_msg,1,n,get_fp);
			}
			cout <<accept_Socket <<" " <<endl;
		}
	}

	cout <<"error 4"<<endl;
	pthread_mutex_unlock(&cmutex);  

	sleep(1);

	cout <<"[[ FILE TRANSFER FINISH ]]"<<endl;

	if(classification_char !=2)
	{
		rcv.receiver_msg(sock);
	}
	else
		rcv.receiver_msg(sock);

	delete [] Save_path;
	delete [] Send_Request;
	::close(accept_Socket);
	fclose(get_fp);
	fflush (stdout);
	return 0;
}


