/**
		@file 	client_servermanager.h
		@date	2009/08/10	
		@author	최영업(cyu0070@naver.com) Terapi
		@brief	서버에 대한 자원을 관리하는 파일
*/

#ifndef __SERVERMANAGER_H_
#define __SERVERMANAGER_H_
using namespace std;
#include <iostream>
#include <string.h>


/**
	@class	Client_ServerManager
	@date   2009/08/10	
	@author	최영업(cyu0070@naver.com) Terapi
	@brief	서버에 대한 자원을 관리하는 클래스
*/
class Client_ServerManager
{
	private:
		char* m_serport;
		char* m_serip;
	public:
		Client_ServerManager();
		Client_ServerManager(char*,char*);
		~Client_ServerManager();
		char* get_ip()		{return m_serip;}
		char* get_port()	{return m_serport;}
			
		void  set_ip(char*);
		void set_port(char*);

};
#endif
