/**
		@file 	clientmanager.h
		@date	2009/08/10	
		@author	최영업(cyu0070@naver.com) Terapi
		@brief	클라이언트에서 사용하는 명령어를 분기하는 파일
*/

#ifndef __CLIENTMANAGER_H_
#define __CLIENTMANAGER_H_
using namespace std;
#include <iostream>
#include <string.h>
#include "ftpcommand.h"
#include "ftpclient.h"
#include "client_handler.h"
#define USR_USER   0
#define USR_PASS   1
#define USR_ONLINE 2

/**
	@class	ClientManager
	@date   2009/08/10	
	@author	최영업(cyu0070@naver.com) Terapi
	@brief	server가 필요한 client  정보 관리 및 client의 현재 상태체크을 하는
			클래스이다.
*/
class ClientManager
{
	private:
		int m_sock;
	public:
		static bool s_DaemonMode;
		ClientManager();
		static int s_cli_state;

		void set_sock(int);
		int  get_sock()	{return this->m_sock;}

		void out_prompt(void); ///<프롬프트를 사용하기위한 함수
		int Client_cmd(int,char*,char*,pthread_mutex_t);
};



#endif
