/**
		@file 	ftpclient.h
		@date	2009/08/10
		@author	최영업(cyu0070@naver.com) Terapi
		@brief	클리이언트의 실행을 맡고있므며 클라이언트의 프로토콜세팅 및 ID,PASSWD등 초기설정을 담당	

*/

#ifndef __FTPCLIENT_H_
#define __FTPCLIENT_H_
using namespace std;
#include <iostream>

#include "clientmanager.h"
#include "connecter.h"
#include "ftpclient.h"
#include "client_handler.h"
#include "client_servermanager.h"



/**
	@class	FtpClient
	@date   2009/08/10	
	@author	최영업(cyu0070@naver.com) Terapi
	@brief	클라이언트의 메인실행을 담당하는 클래스
*/


class FtpClient
{
	public:
		static bool s_Client_Stop;
		static char* ip;
		//int Run(int);
		int Run(int,char*,char*,char*,pthread_mutex_t);
		int Client_Start(char*);
};
void itoa(int , char* , int ); 

#endif
