/**
		@file 	accepter.cpp
		@date   2009/09/27	
		@author	최영업(cyu0070@naver.com) Terapi
		@brief	client가 접속, 이를 감지한 후, socket할당 및 주소체계설정	User에 대한 프로토콜 설정						
*/
#include "accepter.h"

int Accepter::s_Cur_User_cnt=0;				///< 현재 접속한 유저에 대한 카운터

Accepter::Accepter()
{
	sock=0;
}

/**
 	@return NULL
*/
void Accepter::usercheck(UserManager **uarr, pthread_mutex_t mutex,char* msg_buf,int nr,fd_set fds, sockaddr_in sa )					//init_login
{
	Accepter ac;
	ServerManager sm;
	User usr;

	struct sockaddr_in clnt_addr;
	socklen_t sock_size=sizeof(clnt_addr);

	sm.out_prompt();	
	if((ac.sock=accept(RootStream::Server_Socket,(struct sockaddr*)&clnt_addr,(socklen_t*)&sock_size))>0)	///<클라이언트에 대한 연결 요청 수락
	{
		s_Cur_User_cnt++; 
		usr.User_Info_Input(uarr,mutex,msg_buf,nr,s_Cur_User_cnt-1,clnt_addr,ac.sock, 0,0,0,0,0,0,0,0,NULL,NULL,NULL,NULL,NULL);
	}
	else	
	{
		cout<<"Error: accept failed."<<endl;
		exit(0);
	}

}
