/**
		@file 	config.h
		@date	2009/07/24
		@author	최영업(cyu0070@naver.com) Terapi
		@brief
*/
#ifndef __CONFIG_H_
#define __CONFIG_H_

using namespace std;

#include <unistd.h>                                                          
#include <stdio.h>   
#include <sys/param.h>
#include "ftpserver.h"
#include "iostream"  
#define DEFAULT_CONFPATH "/etc/denftpserver/denftpserver.conf"
#define DEFAULT_BANMSG   "You are BANNED from this server.\r\n"

#define OPT_ROOT                0
#define OPT_MAXUSERS            1
#define OPT_PORT                2
#define OPT_LOGINTIMEOUT        3
#define OPT_USER                4
#define OPT_TIMEOUT             5
#define OPT_MODE                6
#define OPT_LOG                 7
#define OPT_MOTD                8
#define OPT_BYEMSG              9
#define OPT_BAN                10
#define OPT_BANMSG             11
#define OPT_CHANGEROOTTYPE     12
#define OPTS_COUNT             13

#define OPT_COMMENT        0xFFFF

#define OPT_MAXLEN             32
#define ARG_MAXLEN           1024

#define HARD_USERLIMIT        100
#define LOGININFO_COUNT    	  100

#define PERM_NONE       		0
#define PERM_DOWNLOAD   		1
#define PERM_UPLOAD     		2
#define PERM_OVERWRITE  		4
#define PERM_MULTIPLE   		8
#define PERM_ERASE     		   16
#define PERM_ALL       	   0xFFFF


/**
	@class	Conf
	@date   2009 .07.10	
	@author	최영업(cyu0070@naver.com) Terapi
	@brief	
*/

class Conf{
	public:
		static char sIniFileName[512];
		static char sMotdFile[MAXPATHLEN+4];
		static char sByeMsgFile[MAXPATHLEN+4];
		static char sBanMessage[72];
		static char s_ServerRoot[MAXPATHLEN+4];
		static int  sServerPort;
		static int  sMaxUsers;
		static int  sLoginTimeOut;
		static int  sIdleTimeOut;
		static int  sDaemonMode;
		static int  sRealChangeRoot;
		static int  sLoginInfoCount;
		static int  sBanCount;
		static unsigned int sTransferTimeOut;
	

	    int Optindex(char *opt);
		int Readini();
};
#endif
