/**
		@file 	servermanager.h
		@data	2009/08/01
		@author	최영업(cyu0070@naver.com) Terapi
		@brief
*/
#ifndef __SERVERMANAGER_H_
#define __SERVERMANAGER_H_

using namespace std;
#include <iostream>
#include <stdio.h>
#include <stdlib.h>
#include <string.h>
#include <ctype.h>
#include <errno.h>

#include "ftpserver.h"
#include "accepter.h"
#include "listener.h"
#define CMD_HELP   0
#define CMD_QUIT   1
#define CMD_LIST   2
#define CMD_WHO    3
#define CMD_KILL   4
#define CMD_STOP   5
#define CMD_ROOT   6
#define CMD_ADD    7
#define CMD_DEL    8
#define CMD_REG    9
#define CMD_PERM  10
#define CMD_INIT  11
#define CMD_DOWN  12
#define CMD_FDOWN 13
#define CMD_BAN   14
#define CMD_UNBAN 15

#define CMD_COUNT 16
class UserManager;
class ServerManager{

	public:
		void out_prompt(void);
		void Server_cmd(UserManager**, pthread_mutex_t, char*,char* cmd);
	
		void docmd_help(char *);
		void docmd_list(UserManager **);
		void docmd_who (UserManager **, char *);
		void docmd_kill(UserManager **, char *,char *);
		void docmd_stop(UserManager **, pthread_mutex_t, char *,char *);
		void docmd_quit(UserManager **, pthread_mutex_t, char*);
		void docmd_init(UserManager **, pthread_mutex_t, char*);
		void docmd_root(UserManager **,char *);
		void docmd_reg(void);
};

#endif
