/**
		@file 	user.cpp
		@date	2009.08.02
		@author	최영업(cyu0070@naver.com) Terapi
		@brief	유저 정보를 서버에 등록하는 파일

*/
using namespace std;
#include "user.h"

#define DEBUG_USER
#include <time.h>
#include <sys/time.h>




int User::User_Info_Input(
		UserManager * uarr[],pthread_mutex_t mutex,char* msg_buf,int nr,int ucnt,sockaddr_in sa  ,int sock, int idletime, int usertype,
		int pid,  int resume, int state,     int perm, unsigned short dataport,
		int pasvsock, int*  userip,  int*  dataip,	char * rootdir, char *reldir, char* url
		)
{   

	Listener li;
	Handler hand;
	ServerManager sm;
	FtpServer fser;

	char t_buf[1024];
	char temp_buf[1024];
	time_t t;
	int sock_size;
	char buffer[128];
	unsigned char* i;
	struct hostent *hp; ///<네트워크 어드레스에 대응되는 호스트 정보를 반환값 저장	
	i=(unsigned char *)&sa.sin_addr; ///<  IPv4 통신주소(32비트 구조체로써 IP 주소를 할당하기 위한것



	sock_size=sizeof(sa);

	uarr[nr]->sock = sock;
	uarr[nr]->state = state;
	uarr[nr]->userip[0]=*i++;
	uarr[nr]->userip[1]=*i++;
	uarr[nr]->userip[2]=*i++;
	uarr[nr]->userip[3]=*i++;


	sprintf(buffer,"%d.%d.%d.%d",uarr[nr]->userip[0], uarr[nr]->userip[1],	uarr[nr]->userip[2], uarr[nr]->userip[3]);

	hp=gethostbyaddr((char *)&sa.sin_addr,sizeof(long int),AF_INET); 
	if (hp!=NULL) 
	{
		strncpy(uarr[nr]->url,hp->h_name,sizeof(uarr[nr]->url)-1);
		*(uarr[nr]->url+strlen(hp->h_name))=0;
	} 
	else
		strcpy(uarr[nr]->url,"unknown");

	uarr[nr]->idletime=time(&t);
	uarr[nr]->state=USR_USER;
	uarr[nr]->resume=0;
	uarr[nr]->pasvsock=0;
	uarr[nr]->pid=0;
	uarr[nr]->dataport=0;
	uarr[nr]->perm=PERM_NONE;

	strcpy(uarr[nr]->reldir,"/");
	strcpy(uarr[nr]->rootdir,"???*???"); /* better */

//	cout<<"User "<<ucnt+1<<" connected(IP :"<<uarr[nr]->userip[0]<<"."<<uarr[nr]->userip[1]<<"."<<uarr[nr]->userip[2]<<"."<<uarr[nr]->userip[3] <<") "<<endl;
	
	

	strcat(t_buf,"User ");

	fser.itoa(ucnt+1,temp_buf,10);
	strcat(t_buf, temp_buf );
	memset(temp_buf,0,1024);

	strcat(t_buf," connected(IP : ");

	for(int uic=0; uic<4; uic++)
	{
		fser.itoa(uarr[nr]->userip[uic],temp_buf,10);
		strcat(t_buf,temp_buf);
		strcat(t_buf,".");
	}
	strcat(t_buf,")");
	strcat(t_buf,"\n");

	memset(temp_buf,0,1024);
	
	sm.out_prompt();
	hand.user_return_addmsg(uarr,mutex,msg_buf,t_buf,ucnt,RET_220);		//00 init_login
	return 0;
}  
