/**
		@file 	usercommand.h
		@date	
		@author	최영업(cyu0070@naver.com) Terapi
		@brief
*/
#ifndef __USERCOMMAND_H_
#define __USERCOMMAND_H_




#include <iostream>
#include <string.h>
#include "listener.h"



class UserCommand		
{
	public:

		char *request[27];
		char *ftp_returnstr[35];

		UserCommand()
		{


	request[0]  = new char[sizeof("SYST\r")+1]; strcpy(request[0] ,"SYST\r");
	request[1]  = new char[sizeof("QUIT\r")+1];	strcpy(request[1] ,"QUIT\r");
	request[2]  = new char[sizeof("TYPE")+1];	strcpy(request[2] ,"TYPE");
	request[3]  = new char[sizeof("PORT")+1];	strcpy(request[3] ,"PORT");
	request[4]  = new char[sizeof("LIST\r")+1];	strcpy(request[4] ,"LIST\r");
	request[5]  = new char[sizeof("CWD")+1];	strcpy(request[5] ,"CWD");
	request[6]  = new char[sizeof("PWD\r")+1];	strcpy(request[6] ,"PWD\r");
	request[7]  = new char[sizeof("RETR")+1];	strcpy(request[7] ,"RETR");
	request[8]  = new char[sizeof("USER")+1];	strcpy(request[8] ,"USER");
	request[9]  = new char[sizeof("PASS")+1];	strcpy(request[9] ,"PASS");
	request[10] = new char[sizeof("REST")+1];	strcpy(request[10],"REST");
	request[11] = new char[sizeof("SIZE")+1];	strcpy(request[11],"SIZE");
	request[12] = new char[sizeof("MDTM")+1];	strcpy(request[12],"MDTM");
	request[13] = new char[sizeof("STOR")+1];	strcpy(request[13],"STOR");
	request[14] = new char[sizeof("CDUP")+1];	strcpy(request[14],"CDUP");
	request[15] = new char[sizeof("NOOP")+1];	strcpy(request[15],"NOOP");
	request[16] = new char[sizeof("GET")+1];	strcpy(request[16],"GET");
	request[17] = new char[sizeof("NLST")+1];	strcpy(request[17],"NLST");
	request[18] = new char[sizeof("PASV")+1];	strcpy(request[18],"PASV");
	request[19] = new char[sizeof("ABOR")+1];	strcpy(request[19],"ABOR");
	request[20] = new char[sizeof("MKD")+1];	strcpy(request[20],"MKD");
	request[21] = new char[sizeof("RMD")+1];	strcpy(request[21],"RMD");
	request[22] = new char[sizeof("DELE")+1];	strcpy(request[22],"DELE");
	request[23] = new char[sizeof("RNFR")+1];	strcpy(request[23],"RNFR");
	request[24] = new char[sizeof("RNTO")+1];	strcpy(request[24],"RNTO");
	request[25] = new char[sizeof("APPE")+1];	strcpy(request[25],"APPE");
	request[26] = new char[sizeof("STOU")+1];	strcpy(request[26],"STOU");




	ftp_returnstr[0]  = new char[sizeof("150 Opening data channel for directory list\r\n")+1];							 strcpy(ftp_returnstr[0] ,"150 Opening data channel for directory list\r\n");
	ftp_returnstr[1]  = new char[sizeof("501 Error in parameters.\r\n")+1];			 strcpy(ftp_returnstr[1] ,"501 Error in parameters.\r\n");
	ftp_returnstr[2]  = new char[sizeof("226 Transfer complete.\r\n")+1];			 strcpy(ftp_returnstr[2] ,"226 Transfer complete.\r\n");
	ftp_returnstr[3]  = new char[sizeof("221 Bye.\r\n")+1];							 strcpy(ftp_returnstr[3] ,"221 Bye.\r\n");
	ftp_returnstr[4]  = new char[sizeof("425 Can't open passive connection.\r\n")+1];strcpy(ftp_returnstr[4] ,"425 Can't open passive connection.\r\n");
	ftp_returnstr[5]  = new char[sizeof("428 Server shutdown.\r\n")+1];				 strcpy(ftp_returnstr[5] ,"428 Server shutdown.\r\n");
	ftp_returnstr[6]  = new char[sizeof("429 Server restart.\r\n")+1];				 strcpy(ftp_returnstr[6] ,"429 Server restart.\r\n");
	ftp_returnstr[7]  = new char[sizeof("530 Server is busy, sorry.\r\n")+1];		 strcpy(ftp_returnstr[7] ,"530 Server is busy, sorry.\r\n");
	ftp_returnstr[8]  = new char[sizeof("220 Welcome to Den-FTPd server.\r\n")+1];	 strcpy(ftp_returnstr[8] ,"220 Welcome to Den-FTPd server.\r\n");
	ftp_returnstr[9]  = new char[sizeof("331 login ok.\r\n")+1];					 strcpy(ftp_returnstr[9] ,"331 login ok.\r\n");
	ftp_returnstr[10] = new char[sizeof("531 Anonymous access denied.\r\n")+1];		 strcpy(ftp_returnstr[10],"531 Anonymous access denied.\r\n");
	ftp_returnstr[11] = new char[sizeof("532 Login incorrect.\r\n")+1];				 strcpy(ftp_returnstr[11],"532 Login incorrect.\r\n");
	ftp_returnstr[12] = new char[sizeof("533 No multiple logins allowed.\r\n")+1]; 	 strcpy(ftp_returnstr[12],"533 No multiple logins allowed.\r\n");
	ftp_returnstr[13] = new char[sizeof("534 Home directory not found.\r\n")+1]; 	 strcpy(ftp_returnstr[13],"534 Home directory not found.\r\n");
	ftp_returnstr[14] = new char[sizeof("422 Too busy to play with you.\r\n")+1];    strcpy(ftp_returnstr[14],"422 Too busy to play with you.\r\n");
	ftp_returnstr[15] = new char[sizeof("423 Connection timed out.\r\n")+1];		 strcpy(ftp_returnstr[15],"423 Connection timed out.\r\n");
	ftp_returnstr[16] = new char[sizeof("215 UNIX Type: L8 (Linux).\r\n")+1];		 strcpy(ftp_returnstr[16],"215 UNIX Type: L8 (Linux).\r\n");
	ftp_returnstr[17] = new char[sizeof("500 Unknown type.\r\n")+1];				 strcpy(ftp_returnstr[17],"500 Unknown type.\r\n");
	ftp_returnstr[18] = new char[sizeof("502 Illegal PORT request.\r\n")+1];		 strcpy(ftp_returnstr[18],"502 Illegal PORT request.\r\n");
	ftp_returnstr[19] = new char[sizeof("200 PORT command successful.\r\n")+1];		 strcpy(ftp_returnstr[19],"200 PORT command successful.\r\n");
	ftp_returnstr[20] = new char[sizeof("250 CWD command successful.\r\n")+1];		 strcpy(ftp_returnstr[20],"250 CWD command successful.\r\n");
	ftp_returnstr[21] = new char[sizeof("553 Permission denied.\r\n")+1];			 strcpy(ftp_returnstr[21],"553 Permission denied.\r\n");
	ftp_returnstr[22] = new char[sizeof("350 Resume request successful.\r\n")+1];	 strcpy(ftp_returnstr[22],"350 Resume request successful.\r\n");
	ftp_returnstr[23] = new char[sizeof("451 Transmition error occured.\r\n")+1];	 strcpy(ftp_returnstr[23],"451 Transmition error occured.\r\n");
	ftp_returnstr[24] = new char[sizeof("209 Received break, bye.\r\n")+1];			 strcpy(ftp_returnstr[24],"209 Received break, bye.\r\n");
	ftp_returnstr[25] = new char[sizeof("503 Command not understood.\r\n")+1];		 strcpy(ftp_returnstr[25],"503 Command not understood.\r\n");
	ftp_returnstr[26] = new char[sizeof("227 Abort successful.\r\n")+1];			 strcpy(ftp_returnstr[26],"227 Abort successful.\r\n");
	ftp_returnstr[27] = new char[sizeof("591 Data transmition stopped by admin.\r\n")+1];strcpy(ftp_returnstr[27],"591 Data transmition stopped by admin.\r\n");
	ftp_returnstr[28] = new char[sizeof("491 Download in progress.\r\n")+1];		strcpy(ftp_returnstr[28],"491 Download in progress.\r\n");
	ftp_returnstr[29] = new char[sizeof("257 MKD command successful.\r\n")+1];		strcpy(ftp_returnstr[29],"257 MKD command successful.\r\n");
	ftp_returnstr[30] = new char[sizeof("258 RMD command successful.\r\n")+1];		strcpy(ftp_returnstr[30],"258 RMD command successful.\r\n");
	ftp_returnstr[31] = new char[sizeof("259 File successfully deleted.\r\n")+1];	strcpy(ftp_returnstr[31],"259 File successfully deleted.\r\n");
	ftp_returnstr[32] = new char[sizeof("540 User banned.\r\n")+1];					strcpy(ftp_returnstr[32],"540 User banned.\r\n");
	ftp_returnstr[33] = new char[sizeof("540 User banned.\r\n")+1];					strcpy(ftp_returnstr[33],"540 User banned.\r\n");
	ftp_returnstr[34] = new char[sizeof("550 not a file.\r\n")+1];					strcpy(ftp_returnstr[34],"550 not a file.\r\n");
		}
		~UserCommand()
		{
//			delete []request;
//			delete []ftp_returnstr;
		}

};









#endif
